var billboard = require("billboard-top-100").getChart;
 

 // date format YYYY-MM-DD
 
billboard('hot-100', '2017-12-04', function(songs, err){
    if (err) console.log(err);
    console.log(songs); //prints array of top 100 songs for week of August 27, 2016
    /*
    console.log(songs[3]); //prints song with rank: 4 for week of August 27, 2016
    console.log(songs[0].title); //prints title of top song for week of August 27, 2016
    console.log(songs[0].artist); //prints artist of top songs for week of August 27, 2016
    console.log(songs[0].rank) //prints rank of top song (1) for week of August 27, 2016
    console.log(songs[0].cover) //prints URL for Billboard cover image of top song for week of August 27, 2016
    */
});

return;

// date defaults to saturday of this week
 
billboard('hot-100', function(songs, err){
    if (err) console.log(err);
    console.log(songs[0]); //prints array of top 100 songs
    /*
    console.log(songs[3]); //prints song with rank: 4
    console.log(songs[0].title); //prints title of top song
    console.log(songs[0].artist); //prints artist of top songs
    console.log(songs[0].rank) //prints rank of top song (1)
    console.log(songs[0].cover) //prints URL for Billboard cover image of top song
    */
});

return;
 
// date format YYYY-MM-DD
 
billboard('hot-100', '2016-08-27', function(songs, err){
    if (err) console.log(err);
    console.log(songs); //prints array of top 100 songs for week of August 27, 2016
    console.log(songs[3]); //prints song with rank: 4 for week of August 27, 2016
    console.log(songs[0].title); //prints title of top song for week of August 27, 2016
    console.log(songs[0].artist); //prints artist of top songs for week of August 27, 2016
    console.log(songs[0].rank) //prints rank of top song (1) for week of August 27, 2016
    console.log(songs[0].cover) //prints URL for Billboard cover image of top song for week of August 27, 2016
});
 
// 'all time' chart
 
billboard('greatest-billboard-200-albums', function(songs, err){
    if (err) console.log(err);
    console.log(songs); //prints array of top 200 albums
    console.log(songs[3]); //prints album with rank: 4
    console.log(songs[0].title); //prints title of top album
    console.log(songs[0].artist); //prints artist of top songs
    console.log(songs[0].rank) //prints rank of top album (1)
    console.log(songs[0].cover) //prints URL for Billboard cover image of top album
});
 
// list all available charts
 
var listCharts = require('billboard-top-100').listCharts;
 
listCharts(function(data){
    console.log(data['Overall Popularity']); //prints larray of charts in 'Overall Popularity' category
});