var ffmpeg = require('fluent-ffmpeg');
var ytdl = require('youtube-dl');
var mysqlAsync = require('promise-mysql');
var fs = require('fs');
var http = require('http');
var child_process = require('child_process');
var exec = require('child_process').exec;
const { NodeMediaServer } = require('node-media-server');
var moment = require('moment');
var JET = {};
var connection = false;
var nextFileLocation = './next_media.txt';
var productRoot = '/var/www/html/mediaFiles/';
var _that = this;

function getAssyncConnection() {
	return mysqlAsync.createConnection({
	    host     : 'jetcamer.com',
		user     : 'jetcamer_admin',
		password : '123_JET_!!!',
	});
}

function setCurrentConnection (conn) {
	connection = conn;
	return connection.query("select * from jetcamer_video.playlistMedia where 1=2");
}

function startLiveStreamingServer(req, res) {
	const config = {
	  rtmp: {
	    port: 1935,
	    chunk_size: 60000,
	    gop_cache: true,
	    ping: 60,
	    ping_timeout: 30
	  },
	  http: {
	    port: 8000,
	    mediaroot: './media',
	    allow_origin: '*'
	  },
	  trans: {
	    ffmpeg: '/usr/bin/ffmpeg',
	    tasks: [
	      {
	        app: 'live',
	        ac: 'logo',
	        hls: true,
	        hlsFlags: '[hls_time=2:hls_list_size=3:hls_flags=delete_segments]',
	        dash: false,
	        dashFlags: '[f=dash:window_size=3:extra_window_size=5]'
	      }
	    ]
	  }
	};

	var nms = new NodeMediaServer(config);
	nms.run();

	nms.on('postPublish', (id, StreamPath, args) => {
		/*
	  	console.log('Nacos on post publis.........');
	  	let icecastCmd ='ffmpeg -y -i rtmp://localhost/live/logo -profile:v baseline -level 3.0 -s 640x360 -start_number 0 -hls_time 10 -hls_list_size 0 -f hls ./media/live/logo/index.m3u8';
		//var icecastCmd = 'ffmpeg -re -i rtmp://jetcamer.com/show/live -vn -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "Raspi Test Stream of MP3" -f mp3 icecast://jetcamer:166433@jetcamer.com:8000/live.mp3';
		exec(icecastCmd, function(error, stdout, stderr){
			console.warn('started...');
		});
		*/
	});

	//JET.startLiveStreamingServerStarted = true;

	//manageLiveStream();
}

function shuffle(array) {

  var currentIndex = array.length

    , temporaryValue

    , randomIndex

    ;



  // While there remain elements to shuffle...

  while (0 !== currentIndex) {



    // Pick a remaining element...

    randomIndex = Math.floor(Math.random() * currentIndex);

    currentIndex -= 1;



    // And swap it with the current element.

    temporaryValue = array[currentIndex];

    array[currentIndex] = array[randomIndex];

    array[randomIndex] = temporaryValue;

  }



  return array;

}

function writeToFile(file, data, type) {
	if(type == 'write') {
		fs.writeFile(file, data, { flag: 'w' }, function(err) {
		    if(err) {
		        return console.log(err);
		    }

		    console.log(file + " The file was written!");
		}); 
	} else {
		fs.appendFile(file, "\n" + data, function(err) {
		    if(err) {
		        return console.log(err);
		    }

		    console.log(file + " The file was Appended!");
		});
	}
}

function readFromFile(file) {
	if (!fs.existsSync(file)) return false;
	return fs.readFileSync(file, 'utf8');
}

function isJetLocalMedia(src) {
	return src.indexOf('jetcamer\.com') && (src.indexOf('mp4') != -1 || src.indexOf('mp3') != -1);
}

function manageLiveStream(req, res) {
	if(fs.existsSync(nextFileLocation)) fs.unlink(nextFileLocation, function(){});

	var liveServerHostAddr = 'localhost'; //52.25.85.59
	JET.iskillCmd = req && (req.query && req.query.cmd == 'stop' || (req.params && req.params.cmd == 'stop' || false));
	JET.isStartCmd = req && (req.query && req.query.cmd == 'start' || (req.params && req.params.cmd == 'start' || false));

	JET.serieInstance && JET.serieInstance.kill();
	JET.musicInstance && JET.musicInstance.kill();
	JET.filmInstance && JET.filmInstance.kill();

	var memberId = 12929;
	//var table = 'queueMedia';
	var table = 'playlistMedia';
	var prepareNextMedia_0 = function(connection) {
		//q = `SELECT videoUri, title, concat(videoUri, '.mp4') as file, '/var/www/html/node_js/stream_medias/' as streamDir FROM  jetcamer_video.playlistMedia where playlistUri = '151810050674281326' order by rand() limit 1`;
		var q = "SELECT videoUri, title, concat(videoUri, '.mp4') as file, '/var/www/html/node_js/stream_medias/' as streamDir FROM  jetcamer_video."+table+" where memberId = " + memberId + " and livePlayed = 0 order by rand() limit 2";
  		
  		if (!fs.existsSync(nextFileLocation)) {
  			writeToFile(nextFileLocation, ' ', 'write');
  			console.log('from africavod...')
  			q = `select m.id, m.slug as videoUri, m.title, m.price, m.preview, m.thumb, m.youtube, m.description, f.name as file, f.cloudStorageLocation, g.slug as genreUri, p.slug as playlistUri , '/var/www/html/mediaFiles/' as streamDir
	  			from jetcamer_download.products m
		      	left join jetcamer_download.categories p on m.cid = p.id 
		      	left join jetcamer_download.categories g on p.parent_id = g.id 
		      	left join jetcamer_download.files f on m.file_id = f.id
		      	where g.slug = "clip" and f.cloudStorageLocation = '' order by rand() limit 2`;
  		} else {
  			console.log('from channel playlist ...');
  		}
	  	
      	connection.query(q, function(err, rows, fields) {
  			var qu = "update jetcamer_video."+table+" set livePlayed = 1 where memberId = " + memberId + " and videoUri = '" + rows[0].videoUri + "'";
  			
  			// update the played status if this is the latest media that hasn't play yet
  			if(rows.length <= 1) {
  				qu = "update jetcamer_video."+table+" set livePlayed = 0 where memberId = " + memberId;
  			}

	  		connection.query(qu, function(err, rowsu, fields) {
	  			connection && connection.end && connection.end();
	  		});

			if (err || rows.length == 0) {
				startPlaying();
			}else{
				
				JET.streams = [rows[0]];

				var uri = JET.streams[0].videoUri;
				var url = 'http://www.youtube.com/watch?v=' + uri;
				var file = JET.streams[0].streamDir + JET.streams[0].file;
				var mobile_file = JET.streams[0].streamDir + "mobile_" + JET.streams[0].file;
				var ytOption = ['--format=22/18'];
				var stream = file;

				var saveNextFile = function() {
					writeToFile(nextFileLocation, JSON.stringify(JET.streams[0]), 'write');
					writeToFile('./queue.txt', 'Preparing...: ' + JET.streams[0].title);

					// Avoid playing in it twice
					JET.streams.push(JET.streams[0]); // Add it at the end
					JET.streams.shift(); // remove it from the top
				}

				// Do not download again
				if (fs.existsSync(stream)) {
					saveNextFile();
					return;
				}

				JET.threads = JET.threads ? JET.threads : require('threads');
				const spawn   = JET.threads.spawn;

				// Start downloading the next song
				const thread  = spawn(function() {});
				thread
				.run(function minmax(conf, done) {
					console.log('starting...');
					var fs = require('fs');
					if (!fs.existsSync(conf.file)) {
						var ytdl = require('youtube-dl');
						var video = ytdl('http://www.youtube.com/watch?v=' + conf.uri, conf.ytOption);
						video.on('info', function(info) {
						    size = info.size;
						    video.pipe(fs.createWriteStream(conf.file))
						    .on('finish', function () {
						    	done({ size : size });
						 	});

						 	video.on('error', function error(err) {
							    console.log('error 2:', err);
							    getAssyncConnection()
								.then(prepareNextMedia);
						  	});
					  	});
					} 
				})
				.send({ytdl:ytdl, file:file, uri:uri, ytOption: ytOption, fs:fs}, function() {
					console.log('sending...');
				}.bind(_that))
				.on('message', function(msg) {
					console.log('done:', msg);
				})
				.on('done', function() {
					console.log('done....');
					saveNextFile();
					thread.kill();
				});
			}
		});
	}

	var prepareNextMedia = function() {
		var getNextMediaData = function() {
			var connection;
			var resPromise;
			var uris;
			var inStr;
			return getAssyncConnection()
			.then((conn)=>{
				connection = conn;
				var q_time = "select playlist_uri, start_time from jetcamer_video.tv_schedule where (start_time <= TIME(NOW()) and TIME(NOW()) <= end_time) or featured = 1";
				return connection.query(q_time);
			})
			.then((rows)=>{
				var q_let;
				uris = rows && rows.length>0 ? rows.map(x=>x.playlist_uri) : ['fake_uri'];
				inStr = uris.join();
				
				// Random video from all my playlist
				// inStr = " select uri from jetcamer_video.playlist where memberId = " + memberId;
				// inStr = ` select uri from jetcamer_video.playlist where memberId=${memberId} or uri in (select playlistUri from jetcamer_video.playlistUsers where memberId=${memberId})`;

				if(rows && rows.length > 0) {
					console.log('found !');
					q_elt = "SELECT videoUri, title, concat(videoUri, '.mp4') as file, file as mediaFile, '/var/www/html/node_js/stream_medias/' as streamDir FROM  jetcamer_video.playlistMedia where cloudProcessed=2 and playlistUri in (" + inStr + ") order by rand() limit 2"; 
				} else {
					console.log('not fund !');
					q_elt = "SELECT videoUri, title, concat(videoUri, '.mp4') as file, file as mediaFile, '/var/www/html/node_js/stream_medias/' as streamDir FROM  jetcamer_video.playlistMedia where cloudProcessed=2 and memberId = " + memberId + " and livePlayed = 0 order by rand() limit 2";
				}

				resPromise = connection.query(q_elt);

				return resPromise;
			})
			.then((rows)=>{
				var mediaPromise;
				if(rows && rows.length > 0) {
					var qu = "update jetcamer_video.playlistMedia set livePlayed = 1 where playlistUri in (" + inStr + ") and memberId = " + memberId + " and videoUri = '" + rows[0].videoUri + "'";
		  			
		  			// update the played status if this is the latest media that hasn't play yet
		  			if(rows.length <= 1) {
		  				qu = "update jetcamer_video.playlistMedia set livePlayed = 0 where playlistUri in (" + inStr + ") and memberId = " + memberId;
		  			}

		  			// Set the media as played
		  			connection.query(qu);

		  			mediaPromise = resPromise;

				} else {
					var q = "SELECT videoUri, title, concat(videoUri, '.mp4') as file, file as mediaFile, '/var/www/html/node_js/stream_medias/' as streamDir FROM  jetcamer_video.playlistMedia where memberId = " + memberId + " order by rand() limit 2";
					mediaPromise = connection.query(q);
				}

				connection.end();

				return mediaPromise;
			});
		}

		var processNextMedia = function(rows) {
			if (rows.length == 0) {
				startPlaying();
			} else {

				var mediaFile = rows[0].mediaFile.replace('https:', 'http:');
				if(isJetLocalMedia(mediaFile)) {
					rows[0].file = mediaFile.split('\\').pop().split('/').pop();
					if(fs.existsSync(productRoot + rows[0].file)) {
						rows[0].streamDir = productRoot;
					}
				}
				
				JET.streams = [rows[0]];

				let uri = JET.streams[0].videoUri;
				let title = JET.streams[0].title;
				let url = 'http://www.youtube.com/watch?v=' + uri;
				let file = JET.streams[0].streamDir + JET.streams[0].file;
				let mobile_file = JET.streams[0].streamDir + "mobile_" + JET.streams[0].file;
				let tmp_mobile_stream = JET.streams[0].streamDir + "tmp_mobile_" + JET.streams[0].file;
				JET.streams[0].mobile_file = mobile_file; // set the mobile file location
				let ytOption = ['--format=22/18'];
				let stream = file;

				let saveNextFile = function() {
					writeToFile(nextFileLocation, JSON.stringify(JET.streams[0]), 'write');
					writeToFile('./queue.txt', 'Preparing...: ' + JET.streams[0].title);

					// Avoid playing in it twice
					JET.streams.push(JET.streams[0]); // Add it at the end
					JET.streams.shift(); // remove it from the top
					

					//Convert for mobile
			    	(function transcodeForMobile() {
			    		return;
			    		if (fs.existsSync(mobile_file)) {
							return;
						}

			    		JET.mobileTranscodeProcess && JET.mobileTranscodeProcess.kill();
						//var cmd = `ffmpeg -y -i ${stream} -c:v libx264 -crf 23 -profile:v baseline -c:a aac -strict experimental ${mobile_file}`;
						//var cmd = `ffmpeg -y -i ${stream} -c:v libx264 -b:v 256k -c:a aac -strict experimental ${tmp_mobile_stream}`;
						let cmd = `ffmpeg -i "${stream}" -vcodec libx264 -crf 27 -preset veryfast -c:a copy -s 320x240 "${tmp_mobile_stream}"`;
						JET.mobileTranscodeProcess = child_process.exec(cmd, function(error, stdout, stderr){
							if(error) {
								console.warn(error);
								writeToFile('./queue.txt', 'Transcode error...: ' + title + ' => ' + tmp_mobile_stream);
								fs.unlink(tmp_mobile_stream);
							} else {
								fs.rename(tmp_mobile_stream, mobile_file, (err) => {});
							}

							JET.mobileTranscodeProcess && JET.mobileTranscodeProcess.kill();
						});

						// Disk space: Make sure to clean-up uncompleted task after 10min
						setTimeout(() => {
							fs.unlink(tmp_mobile_stream);
						}, 1000*60*10);
					}());
				}

				// Do not download again
				if (fs.existsSync(stream)) {
					saveNextFile();
					return;
				}

				if(isJetLocalMedia(mediaFile)) {
				 	var fileIns = fs.createWriteStream(stream);
					var request = http.get(mediaFile, function(response) {
						response.pipe(fileIns);
						fileIns.on('finish', function() {
						  fileIns.close(saveNextFile);  // close() is async, call cb after close completes.
						});
					}).on('error', function(err) { // Handle errors
						fs.unlink(stream); // Delete the file async. (But we don't check the result)
					});

					return;
				}

				JET.threads = JET.threads ? JET.threads : require('threads');
				const spawn   = JET.threads.spawn;

				// Start downloading the next song
				const thread  = spawn(function() {});
				thread
				.run(function minmax(conf, done) {
					console.log('starting...');
					var fs = require('fs');
					if (!fs.existsSync(conf.file)) {
						var ytdl = require('youtube-dl');
						var video = ytdl('http://www.youtube.com/watch?v=' + conf.uri, conf.ytOption);
						video.on('info', function(info) {
						    size = info.size;
						    video.pipe(fs.createWriteStream(conf.file))
						    .on('finish', function () {
						    	done({ size : size });
						 	});

						 	video.on('error', function error(err) {
							    console.log('error 2:', err);
							    prepareNextMedia();
						  	});
					  	});
					} 
				})
				.send({ytdl:ytdl, file:file, uri:uri, ytOption: ytOption, fs:fs}, function() {
					console.log('sending...');
				}.bind(_that))
				.on('message', function(msg) {
					console.log('done:', msg);
				})
				.on('done', function() {
					console.log('done....');
					saveNextFile();
					thread.kill();
				});
			}
		}

		getNextMediaData()
		.then(processNextMedia);
	}

	var playSerie = function () {
		JET.serieInstance && JET.serieInstance.kill();

		//* Live from youtube. Works but blocks because of download
		var q = `select m.id, m.slug as videoUri, m.title, m.price, m.preview, m.thumb, m.youtube, m.description, f.name as file, f.cloudStorageLocation, g.slug as genreUri, p.slug as playlistUri , '/var/www/html/mediaFiles/' as streamDir
	  	from jetcamer_download.products m
      	left join jetcamer_download.categories p on m.cid = p.id 
      	left join jetcamer_download.categories g on p.parent_id = g.id 
      	left join jetcamer_download.files f on m.file_id = f.id
      	where g.slug = "serie" and f.cloudStorageLocation = '' and f.name IS NOT NULL order by rand() limit 1`;

		getAssyncConnection()
		.then(function(connection) {
			connection.query(q, function(err, rows, fields) {
				connection && connection.end && connection.end();
				if (err) {
					console.log('moi:',err);
					writeToFile('./queue.txt', "query: " + JSON.stringify(err));
				}else{
					var streamRow = rows[0];
					var stream = streamRow.streamDir + streamRow.file;
					if (!fs.existsSync(stream)) return playSerie();

					JET.serieInstance = ffmpeg(stream)
					.inputOptions(['-re'])
				    .addOptions([
				        '-vcodec copy',
				        '-acodec copy',
				        '-f flv',
				        '-y',
				        '-preset ultrafast'
				    ])
				    .on('end', function() {
				      playSerie()
				    })
				    .on('error', function(err) {
				      	playSerie()
				    })
				    .save((function(){
						return "rtmp://jetcamer.com/show/serie";
				    }()));
				}
			});
		})
	    
	    //*/
	}

	var playClipToChannel = function (channel) {
		JET[channel] && JET[channel].kill();

		//* Live from youtube. Works but blocks because of download
		var q = `select m.id, m.slug as videoUri, m.title, m.price, m.preview, m.thumb, m.youtube, m.description, f.name as file, f.cloudStorageLocation, g.slug as genreUri, p.slug as playlistUri , '/var/www/html/mediaFiles/' as streamDir
	  	from jetcamer_download.products m
      	left join jetcamer_download.categories p on m.cid = p.id 
      	left join jetcamer_download.categories g on p.parent_id = g.id 
      	left join jetcamer_download.files f on m.file_id = f.id
      	where g.slug in ("clip") and f.cloudStorageLocation = '' and f.name IS NOT NULL order by rand() limit 1`;

		getAssyncConnection()
		.then(function(connection) {
			connection.query(q, function(err, rows, fields) {
				connection && connection.end && connection.end();
				if (err) {
					console.log('moi:',err);
					writeToFile('./queue.txt', "query: " + JSON.stringify(err));
				}else{
					var streamRow = rows[0];
					var stream = streamRow.streamDir + streamRow.file;
					console.log('Nacos: ', stream, fs.existsSync(stream));
					if (!fs.existsSync(stream)) return playFilm();

					JET[channel] = ffmpeg(stream)
					.inputOptions(['-re'])
				    .addOptions([
				        '-vcodec copy',
				        '-acodec copy',
				        '-f flv',
				        '-y',
				        '-preset ultrafast'
				    ])
				    .on('end', function() {
				      playChannelLive(channel)
				    })
				    .on('error', function(err) {
				      	playChannelLive(channel)
				    })
				    .save((function(){
						return "rtmp://localhost/show/" + channel;
				    }()));
				}
			});
		})
	    
	    //*/
	}

	var playChannelLive = function (channelId=12966) {
		JET[channelId] && JET[channelId].kill();

		//* Live from youtube. Works but blocks because of download
		var q = `select m.id, m.slug as videoUri, m.title, m.price, m.preview, m.thumb, m.youtube, m.description, f.name as file, f.cloudStorageLocation, g.slug as genreUri, p.slug as playlistUri , '/var/www/html/mediaFiles/' as streamDir
	  	from jetcamer_download.products m
      	left join jetcamer_download.categories p on m.cid = p.id 
      	left join jetcamer_download.categories g on p.parent_id = g.id 
      	left join jetcamer_download.files f on m.file_id = f.id
      	where f.ownerId = ${channelId} and f.name IS NOT NULL order by rand() limit 1`;

		getAssyncConnection()
		.then(function(connection) {
			connection.query(q, function(err, rows, fields) {
				connection && connection.end && connection.end();
				if (err) {
					console.log('moi:',err);
					//writeToFile('./queue.txt', "query: " + JSON.stringify(err));
				}else{
					console.warn(rows);
					var streamRow = rows[0];
					var stream = streamRow.streamDir + streamRow.file;
					var mediaFile = streamRow.cloudStorageLocation + streamRow.file;
					if (!isJetLocalMedia(mediaFile) && !fs.existsSync(stream)) {
						// The file doesn't exist. So play music
						return playClipToChannel(channelId);
					}  else if(isJetLocalMedia(mediaFile)) {
						var mediaFile = mediaFile.replace('https:', 'http:');
						rows[0].file = mediaFile.split('\\').pop().split('/').pop();
						if(fs.existsSync(productRoot + rows[0].file)) {
							// If the file was already downloaded
							stream = productRoot + rows[0].file;
						} else {
							// The file doesn't exist. Play music while downloading the file
							playClipToChannel(channelId);

							var stream = productRoot + streamRow.file;
							var tmp_stream = productRoot + '_tmp_'+ streamRow.file;
							var fileIns = fs.createWriteStream(tmp_stream);
							var request = http.get(mediaFile, function(response) {
								response.pipe(fileIns);
								fileIns.on('finish', function() {
								  fileIns.close(()=>{
								  	fs.rename(tmp_stream, stream, (err) => {});
								  });  // close() is async, call cb after close completes.
								});
							}).on('error', function(err) { // Handle errors
								fs.unlink(tmp_stream); // Delete the file async. (But we don't check the result)
							});

							return;
						}
					}

					JET[channelId] = ffmpeg(stream)
					.inputOptions(['-re'])
				    .addOptions([
				        '-vcodec copy',
				        '-acodec copy',
				        '-f flv',
				        '-y',
				        '-preset ultrafast'
				    ])
				    .on('end', function() {
				      playChannelLive()
				    })
				    .on('error', function(err) {
				      	playChannelLive()
				    })
				    .save((function(){
						return "rtmp://localhost/show/"+channelId;
				    }()));
				}
			});
		})
	    
	    //*/
	}

	var playMusic = function () {

		JET.musicInstance && JET.musicInstance.kill();

		var content = readFromFile(nextFileLocation);
		var streams = null;
		try{ streams = [JSON.parse(content)]; } catch(e) {}
		if(content && streams && streams.length > 0) {
			JET.streams = streams;
			writeToFile('./queue.txt', "Streams exist. Next is: " + JET.streams[0].title);
			startPlaying();
			return;
		} else {
			//if(fs.existsSync(nextFileLocation)) fs.unlink(nextFileLocation, function(){});

			//* Live from youtube. Works but blocks because of download
			var q = `select m.id, m.slug as videoUri, m.title, m.price, m.preview, m.thumb, m.youtube, m.description, f.name as file, f.cloudStorageLocation, g.slug as genreUri, p.slug as playlistUri , '/var/www/html/mediaFiles/' as streamDir
		  	from jetcamer_download.products m
	      	left join jetcamer_download.categories p on m.cid = p.id 
	      	left join jetcamer_download.categories g on p.parent_id = g.id 
	      	left join jetcamer_download.files f on m.file_id = f.id
	      	where g.slug = "clip" and f.cloudStorageLocation = '' and f.name IS NOT NULL order by rand() limit 1`;

			getAssyncConnection()
			.then(function(connection) {
				connection.query(q, function(err, rows, fields) {
					connection && connection.end && connection.end();
					if (err) {
						console.log('moi:',err);
						writeToFile('./queue.txt', "query: " + JSON.stringify(err));
					}else{
						var streamRow = rows[0];
						var stream = streamRow.streamDir + streamRow.file;
						if (!fs.existsSync(stream)) return playMusic();

						startPlaying(streamRow);
					}
				});
			})
		}
	}


	var playFilm = function () {
		JET.filmInstance && JET.filmInstance.kill();

		//* Live from youtube. Works but blocks because of download
		var q = `select m.id, m.slug as videoUri, m.title, m.price, m.preview, m.thumb, m.youtube, m.description, f.name as file, f.cloudStorageLocation, g.slug as genreUri, p.slug as playlistUri , '/var/www/html/mediaFiles/' as streamDir
	  	from jetcamer_download.products m
      	left join jetcamer_download.categories p on m.cid = p.id 
      	left join jetcamer_download.categories g on p.parent_id = g.id 
      	left join jetcamer_download.files f on m.file_id = f.id
      	where g.slug in ("film", "serie") and f.cloudStorageLocation = '' and f.name IS NOT NULL order by rand() limit 1`;

		getAssyncConnection()
		.then(function(connection) {
			connection.query(q, function(err, rows, fields) {
				connection && connection.end && connection.end();
				if (err) {
					console.log('moi:',err);
					writeToFile('./queue.txt', "query: " + JSON.stringify(err));
				}else{
					var streamRow = rows[0];
					var stream = streamRow.streamDir + streamRow.file;
					console.log('Nacos: ', stream, fs.existsSync(stream));
					if (!fs.existsSync(stream)) return playFilm();

					JET.filmInstance = ffmpeg(stream)
					.inputOptions(['-re'])
				    .addOptions([
				        '-vcodec copy',
				        '-acodec copy',
				        '-f flv',
				        '-y',
				        '-preset ultrafast'
				    ])
				    .on('end', function() {
				      playFilm()
				    })
				    .on('error', function(err) {
				      	playFilm()
				    })
				    .save((function(){
						return "rtmp://localhost/show/film";
				    }()));
				}
			});
		})
	    
	    //*/
	}

	var startPlaying = function(streamObjInp) {
		JET.liveIsPlaying = true;
		var streamObj = streamObjInp ? streamObjInp : (JET.streams ? JET.streams[0] : []);
		var stream = streamObj.streamDir + streamObj.file;
		var title = streamObj.title;
		var stream_mobile = streamObj.mobile_file;
		writeToFile('./queue.txt', "playing...: " + streamObj.title);

		JET.musicInstance = ffmpeg(stream)
		.inputOptions(['-re']) // Very important to synchronize the read vs play speeds
		// Important: Only use copy. Do not encode as it required a very powerful computer !!!
		// Do not encode, just copy the media and output to the live
		.addOptions([
	        '-vcodec copy',
	        '-acodec copy',
	        '-f flv',
	        '-y',
	        '-preset ultrafast'
	    ])
	    .on('start', function() {
	    	/*
	    	// Important Note: Make it possible to play audio (on the fly) without saving a copy of the file
	    	// Provide audio service without audio file
	    	var icecastCmd = 'ffmpeg -re -i ' + stream + ' -vn -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "Raspi Test Stream of MP3" -f mp3 icecast://jetcamer:166433@jetcamer.com:8000/live.mp3';
			//var icecastCmd = 'ffmpeg -re -i rtmp://jetcamer.com/show/live -vn -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "Raspi Test Stream of MP3" -f mp3 icecast://jetcamer:166433@jetcamer.com:8000/live.mp3';
			exec(icecastCmd, function(error, stdout, stderr){
				console.warn('started...');
			});
			//Do not remove. Consider the above note.
			/*/

			JET.durationInfo = {
	            stream,
	            title,
	            duration: 0,
	        }

			JET.progressInfo = {
	            stream,
	            title,
	            currentPos: 0,
	        }

			JET.icecastProcess && JET.icecastProcess.kill();
			playLiveAudio();

			// Stream the low quality file for mobile platform
			(function playForMobileLive() {
				var mobile_file = stream_mobile;
				if (!fs.existsSync(mobile_file)) {
					mobile_file = stream;
				}

				try{ JET.localMobileLiveProcess && JET.localMobileLiveProcess.kill(); } catch(e) {}
				var icecastCmd = 'ffmpeg -re -i ' + mobile_file + ' -codec copy -f flv rtmp://localhost/show/live_low';
				//var icecastCmd = 'ffmpeg -re -i rtmp://localhost/show/live -c:a aac -b:a 128k  -c:v libx264 -b:v 128K -strict experimental -preset ultrafast -f flv rtmp://localhost/show/live_low';
				//var icecastCmd = 'ffmpeg -re -i ' + stream + ' -codec copy -f flv "rtmp://live-api-s.facebook.com:80/rtmp/207045416745249?s_ps=1&s_vt=api-s&a=ATjuP1sHj0uh8Axz"';
				JET.localMobileLiveProcess = child_process.exec(icecastCmd, function(error, stdout, stderr){
					console.warn('started...');
					if(error) {
						console.warn(error);
					}
				});
			}());

			/* Important: comment this part when totally moving to use the cloud server
			(function playLocalLive() {
				//Encode the video with this props and just run the streaming cmd with =copy option: Important for cpu
				try{ JET.localLiveProcess && JET.localLiveProcess.kill(); } catch(e) {}
				//var icecastCmd = 'ffmpeg -re -i '+stream+' -c:v libx264 -c:a copy -b:v 256k -vf "scale=480:trunc(ow/a/2)*2" -tune zerolatency -preset ultrafast -crf 23 -f flv rtmp://localhost/show/live_low';
				var icecastCmd = 'ffmpeg -re -i '+stream+' -codec copy -f flv rtmp://localhost/show/live';
				JET.localLiveProcess = child_process.exec(icecastCmd, function(error, stdout, stderr){
					console.warn('started...');
					// For long compilation, this is important to restart the audio in case of error in video
					if(error) {
						console.warn(error);
					}
				});
			}());

			(function playLocalAudioLive() {
				var offset = JET.progressInfo.duration ? '-ss ' + JET.progressInfo.duration : '';
				var icecastCmd = 'ffmpeg -re ' + offset + ' -i ' + stream + ' -vn -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "Live stream - JetCamer" -f mp3 icecast://jetcamer:166433@localhost:8000/live.mp3';
				JET.icecastLocalProcess = child_process.exec(icecastCmd, function(error, stdout, stderr){
					JET.playLiveLocalAudioTm && clearTimeout(JET.playLiveLocalAudioTm);
					if(error) {
						console.warn(error);
						JET.playLiveLocalAudioTm = setTimeout(function() {
							playLocalAudioLive();
						}, 1000);
					}
				});
			}())
			//*/
	    })
	    .on('progress', function(progress) {
	        var currentPos = parseInt(progress.percent * JET.durationInfo.duration, 10);
	        JET.progressInfo = {
	            stream,
	            title,
	            currentPos: !isNaN(currentPos) ? currentPos : 0,
	        }

	        console.log('Processing: ' + progress.percent + '% done', JET.progressInfo);
	    })
	    .on('codecData', function(data) {
	        var duration = moment.duration(data.duration).asSeconds();
	        console.log('duration: ' + data.duration, duration + 's');
	        JET.durationInfo = {
	            stream,
	            title,
	            duration: !isNaN(duration) ? duration : 0,
	        }
	    })
	    //.preset('flashvideo')
	    .on('end', function() {
	      console.log('file has been converted succesfully');
	      playMusic()
	    })
	    .on('error', function(err) {
    		writeToFile('./queue.txt', "ffmpeg err: " + err.message);
	      	console.log('an error happened: ' + err.message);
	      	playMusic()
	    })
	    .save((function(){
			prepareNextMedia()

			return "rtmp://localhost/show/live";
	    	//return "rtmp://"+ liveServerHostAddr +"/live/logo";
	    }()));
	}

	playMusic();
	//playFilm();
	//playSerie();
	//playChannelLive();
}

function playLiveAudio() {
	var stream = JET.progressInfo.stream;
	var title = JET.progressInfo.title || "Live stream - JetCamer";
	var offset = JET.progressInfo.duration ? '-ss ' + JET.progressInfo.duration : '';
	var icecastCmd = 'ffmpeg -re ' + offset + ' -i ' + stream + ' -vn -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "'+ title +'" -f mp3 icecast://jetcamer:166433@localhost:8000/live.mp3';
	//var icecastCmd = 'ffmpeg -re -i rtmp://jetcamer.com/show/live -vn -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "Raspi Test Stream of MP3" -f mp3 icecast://jetcamer:166433@jetcamer.com:8000/live.mp3';
	JET.icecastProcess = child_process.exec(icecastCmd, function(error, stdout, stderr){
		JET.playLiveAudioTm && clearTimeout(JET.playLiveAudioTm);
		console.warn('started...');
		// For long compilation, this is important to restart the audio in case of error in video
		if(error) {
			console.warn(error);
			JET.playLiveAudioTm = setTimeout(function() {
				//playLiveAudio();
			}, 1000);
		}
	});
}

function getAllLiveMedia() {
	q = `SELECT videoUri, title, concat(videoUri, '.mp4') as file, file as mediaFile FROM  jetcamer_video.playlistMedia where playlistUri in (select uri from jetcamer_video.playlist where memberId=12929 or uri in (select playlistUri from jetcamer_video.playlistUsers where memberId=12929))`;
}

manageLiveStream();

/*

ffmpeg -i  /var/www/html/node_js/stream_medias/AM1t-BPinsk.mp4 -vf "scale=480:trunc(ow/a/2)*2" /var/www/html/node_js/stream_medias/tmp_mobile_AM1t-BPinsk.mp4

ffmpeg -i  /var/www/html/node_js/stream_medias/AM1t-BPinsk.mp4 -c:v libx264 -b:v 256k -c:a aac -strict experimental /var/www/html/node_js/stream_medias/tmp_mobile_AM1t-BPinsk.mp4

ffmpeg -re -y -i rtmp://localhost/show/live -c:a aac -b:a 32k  -c:v libx264 -b:v 128K -strict experimental -f flv rtmp://localhost/show/live_l

ffmpeg -re -f lavfi -i testsrc -c:v libx264 -b:v 1600k -preset ultrafast -b 900k -c:a libfdk_aac -b:a 128k -s 1920x1080 -x264opts keyint=50 -g 25 -pix_fmt yuv420p -f flv "

// resize for desktop: 960x540
ffmpeg -i /var/www/html/node_js/stream_medias/AM1t-BPinsk.mp4 -vcodec libx264 -crf 27 -preset veryfast -c:a copy -s 960x540 /var/www/html/node_js/stream_medias/tmp_mobile_AM1t-BPinsk.mp4

// resize for mobile: 320x240
ffmpeg -i /var/www/html/node_js/stream_medias/AM1t-BPinsk.mp4 -vcodec libx264 -crf 27 -preset veryfast -c:a copy -s 320x240 /var/www/html/node_js/stream_medias/tmp_mobile_AM1t-BPinsk.mp4

exec ffmpeg -i rtmp://localhost/show/live
  -c:a libfdk_aac -b:a 32k  -c:v libx264 -b:v 128K 
  -f flv rtmp://localhost/hls/live_low
  -c:a libfdk_aac -b:a 64k  -c:v libx264 -b:v 256k 
  -f flv rtmp://localhost/hls/live_mid
  -c:a libfdk_aac -b:a 128k -c:v libx264 -b:v 512K 
  -f flv rtmp://localhost/hls/live_hi


  exec ffmpeg -i rtmp://localhost/show/live

  -c:a libfdk_aac -b:a 64k  -c:v libx264 -b:v 256k -f flv rtmp://localhost/hls/live_mid
  -c:a libfdk_aac -b:a 128k -c:v libx264 -b:v 512K 
  -f flv rtmp://localhost/hls/live_hi

/opt/icecast/latest/bin/icecast –b -c /opt/icecast/latest/etc/icecast.xml

vi /usr/local/nginx/conf/nginx.conf
/usr/local/nginx/sbin/nginx -t && /usr/local/nginx/sbin/nginx -s reload

ffmpeg -re -i rtmp://jetcamer.com/show/live -vn \
       -codec:a libmp3lame -b:a 64k -f mp3 \
       -content_type audio/mpeg \
       icecast://jetcamer:166433@jetcamer.com:8000/live.ogg


ffmpeg -re -i URgFaykzwyQ.mp4 -vn \
       -codec:a libmp3lame -f mp3 \
       -content_type audio/mpeg \
       icecast://jetcamer:166433@jetcamer.com:8000/live.mp3

ffmpeg -re -i 0Ql3lVmnL8Q.mp3 -vn -content_type audio/mpeg -acodec copy icecast://jetcamer:166433@jetcamer.com:8000/live.ogg

ffmpeg -re -i URgFaykzwyQ.mp4 -vn copy rtmp://jetcamer.com/show/audio


exec_push /usr/local/bin/avconv -loglevel warning -i rtmp://localhost:80/src/$name
  -vn -c:a libfdk_aac -ab 56k -f flv -rtmp_live live rtmp://localhost:80/hls/$name_56k;


-re -i test.mp3 -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "Raspi Test Stream of MP3" -password mypwd -f mp3


SELECT CONCAT('KILL ',id,';') AS run_this FROM information_schema.processlist WHERE user='jetcamer_admin' and host like '%amazonaws%' INTO OUTFILE '/tmp/kill_process.txt';

//Audio to video (Too havy output)
ffmpeg -loop 1 -i dino_dj.jpg -i audio.mpeg -c:v libx264 -preset slow -vf "scale=trunc(iw/2)*2:trunc(ih/2)*2" -profile:v high -crf 18 -coder 1 -pix_fmt yuv420p -shortest -movflags +faststart -g 30 -bf 2 -c:a aac -b:a 384k -profile:a aac_low video.mp4

//Audio to video (Good)
ffmpeg -loop 1 -i dino_dj.jpg -i audio.mpeg -c:v libx264 -tune stillimage -c:a aac -b:a 192k -shortest -vf "scale=trunc(iw/2)*2:trunc(ih/2)*2" out.mp4

// Recommanded youtube preset: https://gist.github.com/mikoim/27e4e0dc64e384adbcb91ff10a2d3678
ffmpeg -i input -c:v libx264 -preset slow -profile:v high -crf 18 -coder 1 -pix_fmt yuv420p -movflags +faststart -g 30 -bf 2 -c:a aac -b:a 384k -profile:a aac_low output

exec ffmpeg -re -i -i rtmp://localhost/show/$name -vn -c:a libmp3lame -content_type audio/mpeg -b:a 128k -legacy_icecast 1 -ice_name "Raspi Test Stream of MP3" -f mp3 icecast://jetcamer:166433@jetcamer.com:8000/live.mp3

//
*/

