var express = require('express');

var app = express();

app.use(express.static(__dirname));

var scraperjs = require('scraperjs');
var twemoji = require('twemoji');


var elastic = require('elasticsearch');

var YAML = require('yamljs');
var glob = require("glob");

var nacos = {};

var path = require("path");

var gi = require('google-images');

var mysqlAsync = require('promise-mysql');

var Entities = require('html-entities').AllHtmlEntities;

var entities = new Entities();

//var noodle = require('noodlejs');

var billboard = require("billboard-top-100").getChart;


var cheerio = require('cheerio');

var getSize = require('get-folder-size');



var google = require ('googleapis');

google.options ({ auth: 'AIzaSyDotMjqZSxJTGIwOumIzkypo2J-lbBNmFs' });

var youtube_api = google.youtube ('v3');


var webdriver = require('selenium-webdriver');

var By = webdriver.By,

until = require('selenium-webdriver').until,

firefox = require('selenium-webdriver/firefox');



var bodyParser = require('body-parser');

const fileUpload = require('express-fileupload');


app.use(fileUpload());
app.use( bodyParser.json());       // to support JSON-encoded bodies
app.use( bodyParser.urlencoded()); // to support URL-encoded bodies



var nodemailer = require("nodemailer");


var _ = require('lodash');

var http = require('http')

			  , fs = require('fs')

			  , options;



var ffmpeg = require('fluent-ffmpeg');



var util = require('util'),

    exec = require('child_process').exec,

    child;

    const execSync = require('child_process').execSync;



var youtube 	= require('youtube-feeds');

var mysql      	= require('mysql');

var db_config 	= {

  host     : 'localhost',

  user     : 'jetcamer_admin',

  password : '123_JET_!!!',

  insecureAuth: true

}

function getAssyncConnection() {
	return mysqlAsync.createConnection(db_config);
}


//var server = require('http').createServer();
var mainPort = 3000;
var server = app.listen(mainPort);

var io = require('socket.io')(server);

var socketInstances = [];
var djSocketInstances = [];
io.sockets.on('connection', function (socket) {
	var from = socket.handshake.query.from;
	if(socketInstances[from]) {
		socketInstances[from].push(socket);
	} else {
		socketInstances[from] = [socket];
	}
console.log("connecting: ", from);
	socket.on('disconnect', function () {
		console.log('socket disconnected');
		//delete socketInstances[from];
		console.log("disconecting: ", from);
	});

	//server listening for the client to emit 'chat' with a msg
	socket.on('chat', function(msg) {
		var to = parseInt(msg.to, 10);
		var from = parseInt(msg.from, 10);
		var text = msg.text;

		if(socketInstances[to]) {
			//server emitting a response to the client
			//socketInstances[to].emit('chat', msg);
			emitSocket('chat', socketInstances[to], msg);
		}

		if(socketInstances[from]) {
			//server emitting a response to the client
			//socketInstances[from].emit('chat', msg);
		}

		if(!isNaN(from) && !isNaN(to)) saveChat(from, to, text);
	});

	// manage pool of connected connected users
	socket.on('auth', function(data) {
		if(!data.uid) return;
		console.log(data.uid)

		if(data.success === true) {
			if(!socketInstances[data.uid] || !Array.isArray(socketInstances[data.uid])) {
				socketInstances[data.uid] = [];
			} else {
				for(var i=0; i < socketInstances[data.uid].length; i++) {
					if(socketInstances[data.uid][i] == socket) return;
				}
			}

			socketInstances[data.uid].push(socket);
			//socketInstances[data.uid] = socket;
		}else{
			//delete socketInstances[data.uid];
		}

		// notify everyone. Need to optimize by broadcasting only to my followers / friends etc..
		// to limit bandwidth usage
		io.sockets.emit('auth', data);
	});

	// Send dj data back to the connected client
	socket.on('dj', function(data) {
		var from = parseInt(data.from, 10);
		if(socketInstances[from]) {
			emitSocket('dj', socketInstances[from], data);
		}
	});

	//on() => create empty array for the channel
		//on(dj_channel_subscribe) => push into the array with the socket
		//on(dj_channel_unsubscribe) => remove the socket from the array

	// Send dj_channel_start_success data back to the connected client
	socket.on('dj_channel_start', function(data) {
		var channel = parseInt(data.channel, 10);
		if(!djSocketInstances[channel]) {
			djSocketInstances[channel] = [];
		}

		socket.emit('dj_channel_start_success', data);
	});

	socket.on('dj_channel_subscribe', function(data) {
		if(djSocketInstances[data.channel]) djSocketInstances[data.channel].push(socket);
	});

	socket.on('live_dj', function(data) {
		console.log('live_dj for:', data.channel, djSocketInstances[data.channel]);
		var channel = parseInt(data.channel, 10);
		if(djSocketInstances[channel]) {
			emitSocket('live_dj', djSocketInstances[channel], data);
		}
	});

	// Send windowOpen data back to the connected client
	socket.on('windowOpen', function(data) {
		var from = parseInt(data.from, 10);
		if(socketInstances[from]) {
			emitSocket('windowOpen', socketInstances[from], data);
		}
	});
});

var connection;

function emitSocket(type, destArray, data) {
	if(destArray) {
		console.log(destArray.length);
		for(var i=0; i<destArray.length; i++) {
			if(destArray[i].connected === true) {
				destArray[i].emit(type, data);
			}
		}
	}
}

function handleDisconnect() {

  connection = mysql.createConnection(db_config); // Recreate the connection, since

                                                  // the old one cannot be reused.

  connection.connect(function(err) {              // The server is either down

    if(err) {                                     // or restarting (takes a while sometimes).

      console.log('error when connecting to db:', err);

      setTimeout(handleDisconnect, 2000); // We introduce a delay before attempting to reconnect,

    }                                     // to avoid a hot loop, and to allow our node script to

  });                                     // process asynchronous requests in the meantime.

                                          // If you're also serving http, display a 503 error.

  connection.on('error', function(err) {

    console.log('db error', err);

    if(err.code === 'PROTOCOL_CONNECTION_LOST') { // Connection to the MySQL server is usually

      handleDisconnect();                         // lost due to either server restart, or a

    } else {                                      // connnection idle timeout (the wait_timeout

      throw err;                                  // server variable configures this)

    }

  });

}



handleDisconnect();



var im = require('imagemagick');



var send = function(res, success_msg, error_msg, req) {

	try{		if(req && req.query && req.query.callback !== undefined){			res.send(200, req.query.callback + "("+ success_msg +")");		}else{			res.send(200, success_msg);		}
	}catch(e){

		console.log(success_msg);

	}

}

function saveChat(fromParam, toParam, msgParam) {
	var fromId = connection.escape(fromParam);
	var toId = connection.escape(toParam);
	var msg = connection.escape(msgParam);
	var qry = 'INSERT INTO jetcamer_annonces.chat (`from`, `to`, `message`) VALUES ('+fromId+', '+toId+', '+msg+')';

	connection.query(qry, function(err, rows, fields) {
		if (err) {
			console.log(err);
		}else{}
	});
}

function notify(json) {
	io.sockets.emit('broadcast', json);
}

function unescapeUnicode(str) {
    return str.replace(/\\u([a-fA-F0-9]{4})/g, function(g, m1) {
        return String.fromCharCode(parseInt(m1, 16));
    });
}

function getBillboardChart_1(req, res) {
	var uri = "https://artists.youtube.com/charts/tracks";
	driver.get(uri);
	driver.sleep(1000);
    driver.takeScreenshot().then(function(data) {
        writeScreenshot(data, 'outyt.png');
    });

    send(res, "img", "");
}

function getYtData(q, pos, req, res) {
	youtube_api.search.list ({
      part: 'snippet',
      type: 'video',
      q: q,
      maxResults: 5,
      order: 'relevance',
      safeSearch: 'moderate',
      videoEmbeddable: true
    },
    function (err, qres) {
      	if (err) { return callback (err); }
      	var video = {};
	  	if (qres.items.length >= 1) {
	  		var result = qres.items[0];

	        video = {
	          id: result.id.videoId,
	          uri: result.id.videoId,
	          file: result.id.videoId,
	          urlShort: 'http://youtu.be/'+ result.id.videoId,
	          urlLong: 'http://www.youtube.com/watch?v='+ result.id.videoId,
	          title: result.snippet.title || '',
	          hdImg: result.snippet.thumbnails.high.url,
	          thumb: result.snippet.thumbnails.high.url,
	          position: pos
	        };

	        nacos.charts.push(video);

	        if(nacos.charts.length == 100) {
	        	nacos.charts.sort(function(a, b) {
				    return parseFloat(a.position) - parseFloat(b.position);
				});

				var qry = "update jetcamer_jetspace.Profiles set PartyPlaylist = " + connection.escape(JSON.stringify(nacos.charts)) + " where ID=12911";
				connection.query(qry);

	        	console.log(nacos.charts.length);

	        	setTimeout(function() {
	        		var dir = './hot100Img/';
	        		exec('sudo rm -rf ' + dir, (error, stdout, stderr) => {
	        			if(error) {
        					console.warn('dir deletion failed');
        					return;
        				}

	        			exec('sudo mkdir ' + dir, (error, stdout, stderr) => {
	        				if(error) {
	        					console.warn('dir creation failed');
	        					return;
	        				}

	        				for(var i=0; i<nacos.charts.length; i++) {
			        			copyYtImg(nacos.charts[i].id, dir);
			        		}

			        		let tryCount = 0;
			        		const createBanner = () => {
			        			fs.readdir(dir, (err, files) => {
								  if(files.length == 100) {
								  	exec('sudo montage "./hot100Img/*.jpg" -thumbnail 300x200 -geometry +0+0 -tile 20x "hot100Img.jpg"', (error, stdout, stderr) => {
										if(error) {
											console.warn('img creation failed');
											return;
										}

										exec('sudo convert "hot100Img.jpg"  -fill white  -undercolor \'#00000080\'  -pointsize 100 -gravity center -annotate +0+100 \' Faerie Dragon \' "anno_undercolor.jpg"', (error, stdout, stderr) => {
											if(error) {
												console.warn('img creation failed');
												return;
											}
										})

										console.warn('success !');
									});
								  } else if(tryCount++ < 10) {
								  	setTimeout(createBanner, 1000);
								  }
								});
			        		}

			        		createBanner();
	        			});
	        		});
	        	}, 100);

	        	send(res, nacos.charts, 'getVideos', req);
	        }
		}
		//send(res, video, 'getVideos', req);
	});
}

function updatePlaylist(req, res) {
	var playlistUri = req.params.id;
	var qry = "SELECT * from jetcamer_video.playlist where uri='"+playlistUri+"'";
	connection.query(qry, function(err, rows, fields) {
		var songs = rows[0]["IP"].split('@nacos@');
		nacos.charts = [];
		for(let i=0; i<songs.length; i++) {
	    	var q = songs[i];
	    	getYtData(q, i, req, res);
	    }

		//send(res, JSON.stringify(nacos.charts), 'getVideos', req);
	});
}

function getBillboardChart(req, res) {
	billboard('hot-100', function(err, songs){
	    if (err) console.log(err);
	    let img = '';
	    nacos.charts = [];
	    for(let i=0; i<songs.length; i++) {
	    	img += '<img style="width:200px; height:300p; src="'+songs[i].cover||""+'"/>';
	    	var q = songs[i].title + ', ' + songs[i].artist;
	    	getYtData(q, i, req, res);
	    }

	    setTimeout(function(){
	    	saveVideoPlaylistMediaData('1532018910722812929', nacos.charts);
	    	send(res, nacos.charts.length + JSON.stringify(nacos.charts), 'getVideos', req)
	    }, 5000);
	});
}

function saveVideoPlaylistMediaData(playlistUri, dataArray) {	
	var add_date = new Date();
	var memberId  = 0;
	var db = 'jetcamer_video.playlistMedia';
	var active_pl = playlistUri;
	var dq = `delete from ${db} where playlistUri='${active_pl}'`;
	getAssyncConnection()
	.then((connection) => {
		let promise = connection.query(dq);
		connection.end();
		return promise;
	})
	.then(() => {
		dataArray.map((data) => {
			var uri = data.uri;
			var siteUri = '';
			var title = data.title;
			var thumb = data.thumb;
			var file = data.file;
			var q = `insert into ${db} (videoUri, siteUri, playlistUri, time, title, image, file, memberId) value ('${uri}','${siteUri}', '${active_pl}', '${add_date}', '${title}', '${thumb}', '${file}', ${memberId})`;
			getAssyncConnection()
			.then((connection) => {
				connection.query(q);
				connection.end();
			});
		})
	})
}  

function broadcast(req, res) {
	var item = req.query;
	var alias = item.alias;

	if(alias) {
		var qry = "SELECT * from jetcamer_elgg.activities where alias='"+alias+"' order by id desc limit 1";
		connection.query(qry, function(err, rows, fields) {

			var obj = rows[0];
			if(!obj) return;

			obj.title = twemoji.parse(unescapeUnicode(obj.title),
			function(icon, options, variant) {
				return 'https://jetcamer.com/images/emojis/' + icon + '.png';
			});

			obj.text = twemoji.parse(unescapeUnicode(obj.text),
			function(icon, options, variant) {
				return 'https://jetcamer.com/images/emojis/' + icon + '.png';
			});

			obj.hits = item.hits;
			obj.type = item.type;
			obj.itemId = item.itemId;
			console.log(obj.type);
			notify(obj);

			var qry = "update jetcamer_elgg.activities set json_str = " + connection.escape(JSON.stringify(obj)) + " where alias='"+alias+"'";
			connection.query(qry);

			var qry_s = "update jetcamer_sociopo.jos_content set title = " + connection.escape(obj.title) + " where alias='"+alias+"'";
			connection.query(qry_s);

		});
	}else {
		notify(item);
	}
		send(res, JSON.stringify(req.query), "");}

function wakeupNotification(req, res) {
	/*
	var json = {"from":"JetCamer","title":"","text":"Ca bouge au pays...","type":"new-post","showNativeNotification":"1","showInAppNotification":"0"};
	notify(json);
	send(res, JSON.stringify(req.query), "");
	*/
}


function createWhmAccount(req, res){

	var username = req.params.username;
	var domain   = req.params.domain;
	var dirname  = req.params.dirname || username;

	var config   = "";


	config += "ServerName " + domain + "\n";

	config += "ServerAlias www." + domain + "\n";;

	config += "DocumentRoot /home/jetcamer/public_html/" + dirname + "\n";;

	config += "ServerAdmin webmaster@" + domain + "\n";;

	config += "UseCanonicalName Off\n";

	config += "CustomLog /usr/local/apache/domlogs/" + domain + " combined\n";

	config += "CustomLog /usr/local/apache/domlogs/" + domain + "-bytes_log \"%{%s}t %I .\\n%{%s}t %O .\"\n";

	config += "UserDir enabled jetcamer\n";

	config += "<IfModule mod_suphp.c>\n";

	config += "suPHP_UserGroup jetcamer jetcamer\n";

	config += "</IfModule>\n";

	config += "<IfModule !mod_disable_suexec.c>\n";

	config += "<IfModule !mod_ruid2.c>\n";

	config += "SuexecUserGroup jetcamer jetcamer\n";

	config += "</IfModule>\n";

	config += "</IfModule>\n";

	config += "<IfModule mod_ruid2.c>\n";

	config += "RMode config\n";

	config += "RUidGid jetcamer jetcamer\n";

	config += "</IfModule>\n";

	config += "<IfModule itk.c>\n";

	config += "AssignUserID jetcamer jetcamer\n";

	config += "</IfModule>\n";

	config += "ScriptAlias /cgi-bin/ /home/jetcamer/public_html/" + dirname + "/cgi-bin/\n";


	// need for
	// jetcamerdj.com: http://jetcamer.com:3000/whm/jetdj/jetcamerdj.com/dj_app
	// somateldoualahotel.com: http://jetcamer.com:3000/whm/somateldoualahot/somateldoualahotel.com/somateldoualahot
	//royalpalacehotel: http://jetcamer.com:3000/whm/royalpalacehotel/http://royalpalacehoteldouala.com//royalpalacehotel
	//look in apache2 conf httpd to see this location
	//var dir  = "/usr/local/apache/conf/userdata/std/2_4/" + username + "/" + domain;
    var dir  = "/etc/apache2/conf.d/userdata/std/2_4/" + username + "/" + domain;


    var file = dir + "/extra.conf";



	var mkdirp = require('mkdirp');

	mkdirp(dir, function(err) {

	        if(err){

	            var msg = "Cannot create the directory !";

	            console.log(msg);

	            console.log(dir);

	            send(res, '{success:false}', "");

	            //send(res, msg, 'updateHotspotInfo');

	        }else{

	            fs.closeSync(fs.openSync(file, 'w'));

	            fs.writeFile(file, config, function(err) {

	                if(err) {

	                    var msg = "Oups cannot restart create the account !";

	                    send(res, '{success:false}', "");

	                    return console.log(err);

	                }



	                exec("/scripts/ensure_vhost_includes --all-users",

	                    function (error, stdout, stderr) {

	                        if (error !== null) {

	                            var msg = "Oups cannot restart apache !";

	                            console.log(msg);

	                            //send(res, msg, 'updateHotspotInfo');

	                        }else{

	                            console.log("Good");

	                            //send(res, "success !", 'updateHotspotInfo');

	                            send(res, '{success:true}', "");

	                        }

	                    }

	                );

	            });

	        }

	    }

	);

}

function cpanelEmails(req, res) {
  var cpuser = req.params.cpuser || "*";

  // options is optional
  glob("/home/"+ cpuser +"/.cpanel/email_accounts.yaml", {}, function (er, files) {
    var arr = [];
    for(var i=0; i<files.length; i++) {
      nativeObject = YAML.load(files[i]);
      for(k in nativeObject) {
        if(nativeObject[k].accounts) {
          for(j in nativeObject[k].accounts) {
          	var email = j + "@" + k;
            arr.push({email: email});
            var qry = "insert into jetcamer_server_monitoring.cp_emails set email='"+email+"'";
            connection.query(qry, function(err, rows, fields) {
              if (err) console.log("error saving site info");
            });
          }
        }
      }
    }

    //send(res, JSON.stringify(arr), "");
    send(res, arr.length, "");

    console.log(arr.length);
  })
}

function cpanelEmailExists_0(req, res) {
	var email = req.params.email || "*";
	var emailUser = email.split('@')[0];
	var domain = email.split('@')[1];
	var cleanDomain = domain.replace('.', '_');
	exec('/scripts/whoowns ' + domain, function(error, stdout, stderr){
		if(error) send(res, JSON.stringify({success:false}));

		var cpuser = stdout.replace("\n", "");
		var cmd = 'find /home/'+cpuser+'/mail/ -name ".'+emailUser+'@'+cleanDomain+'" -print';
		exec(cmd, function(error, stdout, stderr){
			if(error) send(res, JSON.stringify({success:false}));

			var emailExists = stdout.trim() != '';
			send(res, JSON.stringify({success:emailExists}), "resizeImg");
		});
	});
}

function cpanelEmailExists(req, res) {
	var email = req.params.email || "*";
	var emailUser = email.split('@')[0];
	var domain = email.split('@')[1];
	var cleanDomain = domain.replace('.', '_');
	exec('/scripts/whoowns ' + domain, function(error, stdout, stderr){
		var cpuser = stdout.replace("\n", "");
		if(error || !cpuser) {
			send(res, JSON.stringify({success:false}));
			return;
		}

		const emailUserAcc = emailUser ? emailUser.replace('.', '__') : 'no_existing_dir';
		const emailUserAcc_2 = emailUser ? emailUser.replace('.', '_') : 'no_existing_dir';
		const dir = `/home/${cpuser}/mail/.${emailUserAcc}@${cleanDomain}`;
		const dir_2 = `/home/${cpuser}/mail/.${emailUserAcc_2}@${cleanDomain}`;
		send(res, JSON.stringify({success:(fs.existsSync(dir)||fs.existsSync(dir_2))}), '');

		/*
		exec('sendmail -bv ' + email, function(error, stdout, stderr){
			
		});
		*/

		/*
		var cpuser = stdout.replace("\n", "");
		var cmd = 'find /home/'+cpuser+'/mail/ -name ".'+emailUser+'@'+cleanDomain+'" -print';
		exec(cmd, function(error, stdout, stderr){
			if(error) send(res, JSON.stringify({success:false}));

			var emailExists = stdout.trim() != '';
			send(res, JSON.stringify({success:emailExists}), "resizeImg");
		});
		*/
	});
}

function resizeImg (req, res) {
	var file 		= req.params.src;
	var dst 		= req.params.dst;
	var width 	= req.params.width;
	var height 	= req.params.height;

	console.log('type is: '+file);
	doConvert(file, dst, width, height, res);
}


function resizeImgPost (req, res) {
	var file 		= req.body.src;
	var dst 		= req.body.dst;
	var width 	= req.body.width;
	var height 	= req.body.height;

	console.log('type is: '+file);
	doConvert(file, dst, width, height, res);
}

function doConvert(file, dst, width, height, res) {
	const readChunk = require('read-chunk'); // npm install read-chunk
	const fileType = require('file-type');
	const buffer = readChunk.sync(file, 0, 262);
	let actualType;
	let typeObj = fileType(buffer);

	var title = path.basename(file);
	var ext = dst.split('.').pop().toLowerCase();
	var folder = path.dirname(dst);
	var basename = path.basename(dst);
	var alias = basename.replace("." + ext, "");
	var image_name = alias + "." + ext;
	var video_name = alias + ".mp4";
	var audio_name = alias + ".mp3";
	var image_path = folder + "/" + image_name;
	var video_path = folder + "/" + video_name;
	var audio_path = folder + "/" + audio_name;
	var resp = {success: false};

	var accept = {
		'image/*': 'art bm bmp dwg dxf cbr cbz fif fpx gif ico iefs jfif jpe jpeg jpg jps jut mcf nap nif pbm pcx pgm pict pm png pnm qif qtif ras rast rf rp svf tga tif tiff xbm xbm xpm xwd',
		'audio/*': 'm4a flac aac rm mpa wav wma ogg mp3 mp2 m3u mod amf dmf dsm far gdm imf it m15 med okt s3m stm sfx ult uni xm sid ac3 dts cue aif aiff wpl ape mac mpc mpp shn wv nsf spc gym adplug adx dsp adp ymf ast afc hps xs',
		'video/*': 'm4v 3gp nsv ts ty strm rm rmvb m3u ifo mov qt divx xvid bivx vob nrg img iso pva wmv asf asx ogm m2v avi bin dat dvr-ms mpg mpeg mp4 mkv avc vp3 svq3 nuv viv dv fli flv wpl'
	};


	_.each(accept, function (ext, type){
		ext = new RegExp(ext.replace(/\s/g, '|'), 'i');
		if( ext.test(typeObj.mime)){
			actualType = type.split('/')[0];
		}
	});

	console.log(actualType);

	if(actualType && actualType == 'image') {
		im.convert([file, '-resize', width + 'x' + height, image_path], function(err, stdout){
			if (err) {
				console.log('Failed convert 0...');
				send(res, JSON.stringify({success:true}), "resizeImg");
			}else{
				fs.chmod(image_path, 0755, function(err){
					if(err) {
						console.log('Failed convert 1...');
						send(res, JSON.stringify({success:false, message: 'Cannot process the image.'}), "resizeImg");
					}
					exec('chown jetcamer:jetcamer ' + image_path, function(error, stdout, stderr){
						if(error) {
							console.log('Failed convert 2...');
							send(res, JSON.stringify({success:false, message: 'Oops. Image Process Error 1'}), "resizeImg");
							return;
						}

						console.log('chown success...');
						send(res, JSON.stringify({success:true, thumb: image_name, file: image_name, type:actualType}), "resizeImg");
					});
				});
			}
		});
	} else if(actualType && actualType == 'audio') {
		new ffmpeg({ source: file })
		.withAudioCodec('aac')
		.withAudioBitrate('96k')
		.withAudioChannels(2)
		.withAudioFrequency(22050)
		.on('error', function(err) {
				console.log('An error occurred: ' + err.message);
				send(res, JSON.stringify({success:false, message: 'Cannot process the audio.'}), "resizeImg");
		})
		.on('end', function() {
			console.log('Processing finished !');

			exec('chown jetcamer:jetcamer ' + audio_path, function(error, stdout, stderr){
				if(error) {
					console.log('chown Failed');
				}
			});

			send(res, JSON.stringify({success:true, thumb: '', file: audio_name, type: actualType}), "resizeImg");

		})
		.output(audio_path);
	} else if(actualType && actualType == 'video' || 1==1) {
		if(ext == 'mp4') {
			new ffmpeg({ source: file })
			.screenshots({
					count: 1,
					filename: image_name,
					folder: folder,
					size: '320x240'
			})
			.on('error', function(err) {
					console.log('An error occurred: ' + err.message);
					send(res, JSON.stringify({success:false, message: 'Cannot process the video.'}), "resizeImg");
			})
			.on('end', function() {
				console.log('Processing finished !');
				exec('chmod 755 ' + video_path, function(error, stdout, stderr){
					if(error) {
						console.log('video chown Failed');
						send(res, JSON.stringify({success:false, message: 'Oops. Video Process Error 2'}), "resizeImg");
						return;
					}

					exec('chmod 755 ' + image_path, function(error, stdout, stderr){
						if(error) {
							console.log('image chown Failed');
							console.log('For: ' + image_path);
							send(res, JSON.stringify({success:false, message: 'Oops. Video Process Error 1'}), "resizeImg");
							return;
						}

						send(res, JSON.stringify({success:true, thumb: image_name, file: video_name, type: actualType, thumb: image_name, title: title, uri: alias}), "resizeImg");
					});
				});
			})
			.output(video_path);
		} else {
			new ffmpeg({ source: file })
			.withVideoCodec('libx264')
			.withVideoBitrate('512k')
			.withAudioCodec('aac')
			.withAudioBitrate('96k')
			.withSize('320x?')
			.withFps(24)
			.withFpsOutput(24)
			.withAudioChannels(2)
			.withAudioFrequency(22050)
			.screenshots({
					count: 1,
					filename: image_name,
					folder: folder,
					size: '320x240'
			})
			.on('error', function(err) {
					console.log('An error occurred: ' + err.message);
					send(res, JSON.stringify({success:false, message: 'Cannot process the video.'}), "resizeImg");
			})
			.on('end', function() {
				console.log('Processing finished !');


				exec('chmod 755 ' + video_path, function(error, stdout, stderr){
					if(error) {
						console.log('video chown Failed');
						send(res, JSON.stringify({success:false, message: 'Oops. Video Process Error 2'}), "resizeImg");
						return;
					}

					exec('chmod 755 ' + image_path, function(error, stdout, stderr){
						if(error) {
							console.log('image chown Failed');
							console.log('For: ' + image_path);
							send(res, JSON.stringify({success:false, message: 'Oops. Video Process Error 1'}), "resizeImg");
							return;
						}

						send(res, JSON.stringify({success:true, thumb: image_name, file: video_name, type: actualType, thumb: image_name, title: title, uri: alias}), "resizeImg");
					});
				});
			})
			.output(video_path);
		}
	} else {
		send(res, JSON.stringify({success:false, message: 'File type not supported: ' + actualType}), "resizeImg");
	}
}

function searchGoogleImage (req, res) {

	var q = req.params.q || '';

	gi.search(q, function(err, images) {

		if (err) {

			console.log(q);

			send(res, 'false', 'searchGoogleImage');

		}else{

			send(res, images, 'searchGoogleImage');

		}

	});

}



function runFbShare_0(req, res) {

	//make sure the emulator is started

	exec('Xvfb :99 -ac -screen 0 1280x1024x24 &',

	function (error, stdout, stderr) {

		if (error !== null) {

			console.log("Oups cannot restart freeradius");

			send(res, 'false');

		}else{

			//set the display env var

			process.env['DISPLAY'] = ':99';



			//make sure the standalone selenium server is started

			exec('java -jar /opt/selenium-server-standalone.jar &',

			function (error, stdout, stderr) {

				if (error !== null) {

					console.log("Oups cannot restart freeradius");

					send(res, 'false');

				}else{

					//get featured articles to share

					var qry = 'SELECT id from jetcamer_sociopo.jos_content where state=1 and featured=1 and fb=0 order by id desc limit 1';

					var id=0;

					connection.query(qry, function(err, rows, fields) {

						if (err) {

							console.log("query fail");

							send(res, 'false');

						}else{

							//share the article on the facebook page

							if(rows.length != 0){

								id = rows[0].id;

								console.log('http://jetcamer.com/'+id+'/jn/read.html');

								var driver = new firefox.Driver();

								driver.get('http://www.facebook.com');

								driver.findElement(By.id('email')).sendKeys('nnoumegni@yahoo.fr');

								driver.findElement(By.id('pass')).sendKeys('166433nacos');

								driver.findElement(By.css('#loginbutton input')).click();

								driver.sleep(10)

								driver.get('http://www.facebook.com/pages/Jetcamercom/286230224751548');

								driver.sleep(20)

								driver.findElement(By.css('.innerWrap textarea')).click();

								driver.sleep(20)

								driver.findElement(By.css('.innerWrap textarea')).sendKeys('http://jetcamer.com/'+id+'/jn/read.html');

								driver.sleep(5000)

								driver.executeScript("var btn = document.createElement('button'); btn.setAttribute('value','1'); btn.innerHTML = 'Nacos';  btn.setAttribute('type','submit'); btn.setAttribute('id','postBtn'); var curElt = document.getElementById('composerActionTagger'); var parentDiv = curElt.parentNode; parentDiv.insertBefore(btn, curElt)");

								driver.sleep(1500)

								driver.findElement(By.id('postBtn')).click();

								driver.wait(until.titleIs('webdriver - Google Search'), 1500);

								driver.quit();



								qry = "update jetcamer_sociopo.jos_content set fb = 1 where id="+id;

								connection.query(qry, function(err, rows, fields) {

									if (err) {

										console.log("Cannot update hostspot DB info");

										send(res, 'false');

									}else{

										console.log("Good");

										send(res, 'true');

									}

								});

							}else{

								console.log("Nothing to share");

								send(res, 'true');

							}

						}

					});

				}

			});

		}

	});

}


function runFbShare_news(req, res) {

	//make sure the emulator is started

	console.log("is ok 1");

	exec('Xvfb :99 -ac -screen 0 1280x1024x24 &',

	function (error, stdout, stderr) {

		if (error !== null) {

			console.log("Oups cannot restart Xvfb");

			send(res, 'false');

		}else{

			//set the display env var

			process.env['DISPLAY'] = ':99';



			//make sure the standalone selenium server is started

			exec('java -jar /opt/selenium-server-standalone.jar &', function (error, stdout, stderr) {

				if (error !== null) {

					console.log("Oups cannot restart selenium");

					send(res, 'false');

				}else{

					//get featured articles to share

					var qry = 'SELECT * from jetcamer_sociopo.jos_content where state=1 and featured=1 and fb=0 order by id desc limit 1';

					var id=0;

					connection.query(qry, function(err, rows, fields) {

						if (err) {

							console.log("query fail");

							send(res, 'false');

						}else{

							//share the article on the facebook page

							console.log("is ok 2");

							if(rows.length != 0){

								id = rows[0].id;

								news_title = rows[0].title;

								console.log(news_title);

								var s = 'http://jetcamer.com/'+id+'/jn/read.html';

								var uri = "https://www.facebook.com/sharer.php?u=" + encodeURIComponent(s);

								var driver = new firefox.Driver();

								driver.get('http://www.facebook.com');

								driver.findElement(By.id('email')).sendKeys('nnoumegni@yahoo.fr');

								driver.findElement(By.id('pass')).sendKeys('166433nacos');

								driver.findElement(By.css('#loginbutton input')).click();

								console.log(uri);

								driver.get(uri);

								driver.sleep(20)

								driver.findElement(By.id("u_0_h")).click();

								driver.sleep(20)

								driver.findElement(By.css("ul._54nf li:nth-child(3) a")).click();

								driver.sleep(20)

								var grp = "le camero";

								driver.findElement(By.id("u_0_p")).sendKeys(grp);

								driver.sleep(20)

								driver.findElement(By.id("js_9")).click();

								var title = "LCCLC: le camero";

								driver.findElement(By.id("u_0_7")).sendKeys(title);

								console.log(title);

								driver.quit();

								return;

								qry = "update jetcamer_sociopo.jos_content set fb = 1 where id="+id;

								connection.query(qry, function(err, rows, fields) {

									if (err) {

										console.log("Cannot update hostspot DB info");

										send(res, 'false');

									}else{

										console.log("Good");

										send(res, 'true');

									}

								});

							}else{
								console.log("Nothing to share");
								send(res, 'true');
							}
						}
					});
				}
			});
		}
	});
}


function runFbShare_friend_page_work(req, res) {

	//make sure the emulator is started

	console.log("is ok 1");

	exec('Xvfb :99 -ac -screen 0 1280x1024x24 &',

	function (error, stdout, stderr) {

		console.log("good 1");

		if (error !== null) {

			console.log("Oups cannot restart Xvfb");

			send(res, 'false');

		}else{

			//set the display env var

			process.env['DISPLAY'] = ':99';

			console.log("good 2");

			//make sure the standalone selenium server is started

			exec('java -jar /opt/selenium-server-standalone.jar &',

			function (error, stdout, stderr) {

				if (error !== null) {

					console.log("Oups cannot restart selenium");

					send(res, 'false');

				}else{

					try{

						var id = 10842;

						var s = "http://jetcamer.com/" + id + "/jn/read.html";

						var uri = "https://www.facebook.com/sharer.php?u=" + encodeURIComponent(s);

						var driver = new firefox.Driver();

						driver.get('https://www.facebook.com');

						driver.findElement(By.id('email')).sendKeys('nnoumegni@yahoo.fr');

						driver.findElement(By.id('pass')).sendKeys('166433nacos');

						driver.findElement(By.css('#loginbutton input')).click();

						driver.sleep(20);

						console.log(uri);

						driver.get(uri);

						driver.sleep(20);



						driver.findElement(webdriver.By.css('.fbStoryAttachmentImage img')).then(function(webElement) {

							try{

								console.log("good 3");

								driver.findElement(By.css(".uiPopover > a")).click();

								driver.sleep(20);

								driver.findElement(By.css("ul._54nf li:nth-child(2) a")).click();

								driver.sleep(20);

								//the complete name to only have one

								var friend = "jet ca";

								driver.findElement(By.id("u_0_l")).sendKeys(friend);

								driver.sleep(20);

								//there should only be one choice

								driver.findElement(By.css("li.user.selected")).click();

								driver.sleep(20);

								driver.findElement(By.css("button[name='share']")).click();

								driver.quit();

								send(res, 'Success');

							}catch(e) {

								send(res, 'Error after img found');

							}

						}, function(err) {

							webdriver.promise.rejected(err);

							driver.quit();



							if (err.state && err.state === 'no such element') {

								send(res, 'No video Image found');

							} else {

								send(res, 'An unknown error has occured');

							}

						});

					}catch(e) {

						console.log(e);

						driver.quit();

						send(res, 'error');

					}

				}

			});

		}

	});

}



function writeScreenshot(data, name) {

  name = name || 'ss.png';

  var screenshotPath = './';

  fs.writeFileSync(screenshotPath + name, data, 'base64');

};



function fbShare (req, res) {

	console.log(nacos.lock)

	if(nacos.lock === 1) return;

	nacos.lock = 1;



	console.log("share start...")

	//check if a task is in progress (state=-1)

	var qry = 'SELECT * from jetcamer_sociopo.jos_weblinks where state=-1 order by id desc limit 1';

	connection.query(qry, function(err, rows, fields) {

		nacos.lock = 0;
		console.log("share start... 1")

		if (err) {
			console.log(err)
			return;
		}



		if(rows.length != 0) {
		console.log("share start... 2")
			//try again for those which failed

			qry = "update jetcamer_sociopo.jos_weblinks set hits = hits + 1 where state=-1";

			connection.query(qry, function() {});



			if(rows[0].hits > 2) {
				console.log("share start... 3")

				qry = "update jetcamer_sociopo.jos_weblinks set state = 0 where id="+rows[0].id;

				connection.query(qry, function() {});

			}

		}



		var qry = 'SELECT * from jetcamer_sociopo.jos_weblinks where state=1 order by id desc';

		connection.query(qry, function(err, rows, fields) {
			console.log("share start...4")

			if (err || rows.length == 0) {
				console.log(err, rows.length);
				return;
			}

			id = rows[0].id;

			console.log("share start...5")

			//lock the current task

			qry = "update jetcamer_sociopo.jos_weblinks set state = -1 where id="+id;

			connection.query(qry, function(err, rows, fields) {
				console.log("share start... 6")

				doRunFbShare();

			});

		});

	})



	send(res, 'true', 'fbShare');

}



var webdriver = require('selenium-webdriver'),
    By = webdriver.By,
    until = webdriver.until;

var driver = new webdriver.Builder()
    .forBrowser('phantomjs')
    .build();

    driver.get('https://google.com');
    driver.takeScreenshot().then(function(data) {
	  console.log('Nacos data: ', data);
	  writeScreenshot(data, 'out1.png');

	}, function(error) {
	  console.log('Nacos data error: ', error);

	});

//important: all the account should have a unique password !

function doRunFbShare(req, res) {

	//var qry = 'SELECT * from jetcamer_sociopo.jos_weblinks where state=-1 and metakey="page" and metadesc="jetcamer" order by id desc limit 1';
	var qry = 'SELECT * from jetcamer_sociopo.jos_weblinks where state=-1 order by id desc limit 1';

	connection.query(qry, function(err, rows, fields) {

		//avoid running selenium if there is nothing to share.

		//this rusult to server overload !

		if (err || rows.length == 0) {
			console.log('nothing to do......');
			return;
		}





		//make sure the emulator is started

		//console.log("is ok 1");

		//exec('Xvfb :99 -ac -screen 0 1280x1024x24 &',

		//function (error, stdout, stderr) {

			var error = null;
			console.log("good 1");

			if (error !== null) {

				console.log("Oups cannot restart Xvfb");

			}else{

				//set the display env var

				process.env['DISPLAY'] = ':99';

				console.log("good 2");

				//make sure the standalone selenium server is started



						//get featured articles to share

						//var qry = 'SELECT id from jetcamer_sociopo.jos_content where state=1 and featured=1 and fb=0 order by id desc limit 1';





								//share the article on the facebook page

								console.log("num row: " + rows.length);

								if(rows.length != 0){

									id = rows[0].id;

									news_title = rows[0].title;

									user = rows[0].user;

									console.log(news_title);

									var s = rows[0].url;

									var type = rows[0].metakey;

									var name = rows[0].metadesc;



									try{

										var uri = "https://www.facebook.com/sharer.php?u=" + encodeURIComponent(s);

										console.log(type);

										//var driver = new firefox.Driver();

										driver.get(uri);

										//wait for the page to load

										driver.sleep(1000);

										driver.findElement(By.id('email')).sendKeys(user);

										driver.findElement(By.id('pass')).sendKeys('123_AbC_!!!');

										driver.findElement(By.css("input[name='login']")).click();
										driver.takeScreenshot().then(function(data) {
										  console.log('Nacos data: ', data);
										  writeScreenshot(data, 'out1.png');

										}, function(error) {
										  console.log('Nacos data error: ', error);

										});


										//wait for the login to complete

										driver.sleep(1000);



										try{

											driver.findElement(By.css(".uiPopover > a")).click();
											//driver.executeScript("document.querySelector('#u_0_1p  a').setAttribute('id', 'nacos')");
											//driver.findElement(By.id("nacos")).click();



											driver.sleep(1000);

											//there should only be one choice

											if(type == "group"){

												driver.findElement(By.css("ul._54nf li:nth-child(3) a")).click();

											}else if(type == "page"){

												var name = 'page';
												driver.executeScript("var matcher = new RegExp('"+name+"', 'i'); var aTags = document.getElementsByTagName('li'); for (var i = 0; i < aTags.length; i++) { var found = matcher.test(aTags[i].textContent) && aTags[i].offsetParent !== null; if (found) {aTags[i].setAttribute('id', '"+name+"_0'); break;}}");
												driver.sleep(1000);

												//select the element with that id
												try{
														driver.findElement(By.id(name + "_0")).click();
												}catch(e) {
													console.log(e);
												}

											}



											//wait for the page to fetch the user groups or pages

											driver.sleep(1000);



											if(type == "group"){

												//driver.findElement(By.css("span[name='audience_group']"))

												driver.switchTo().activeElement().sendKeys(name);

												driver.sleep(20);


												try{
													console.log("good 5");

                                                    driver.takeScreenshot().then(function(data) {

                                                        writeScreenshot(data, 'out1.png');

                                                    });


                                                    driver.sleep(20);

													driver.findElement(By.css(".uiTypeaheadView > ul > li")).click();

													driver.sleep(20);
												}catch(e){
													driver.quit();
													console.log(e);
													var subject = escape("Fb share failed !");
													var msg 	= escape("fb share failed !");
													var from 	= escape("services@jetcamer.com");
													var to 		= escape("services@jetcamer.com");
													doSendMail(from, to, subject, msg);
												}



											}else if(type == "page") {

												driver.takeScreenshot().then(function(data) {

												  writeScreenshot(data, 'out1.png');

												});



												/*

												// Read-me User fans@jetcamer.com only have one page. No need to have this logic

												name = (name != "") ? name : 'jetcamer';


												var firstListedPage = "camer-hotel";

												driver.executeScript("var matcher = new RegExp('"+firstListedPage+"', 'i'); var aTags = document.getElementsByTagName('a'); k=0; for (var i = 0; i < aTags.length; i++) { var found = matcher.test(aTags[i].textContent); if (found) {aTags[i].setAttribute('id', 'page_dropdown_'+k++);}}");

												driver.sleep(20);

												driver.findElement(By.id("page_dropdown_0")).click();



												//use javascript to add a (id) to the element with a specific text node

												//make it really easy to select later with selenium

												driver.executeScript("var matcher = new RegExp('"+name+"', 'i'); var aTags = document.getElementsByTagName('li'); for (var i = 0; i < aTags.length; i++) { var found = matcher.test(aTags[i].textContent) && aTags[i].offsetParent !== null; if (found) {aTags[i].setAttribute('id', '"+name+"_0'); break;}}");

												driver.sleep(20);



												//select the element with that id

												try{

													driver.findElement(By.id(name + "_0")).click();

												}catch(e) {}


												/*
												driver.sleep(20);

												driver.findElement(By.id("page_dropdown_1")).click();



												driver.executeScript("var matcher = new RegExp('"+name+"', 'i'); var aTags = document.getElementsByTagName('li'); for (var i = 0; i < aTags.length; i++) { var found = matcher.test(aTags[i].textContent) && aTags[i].offsetParent !== null; if (found) {aTags[i].setAttribute('id', '"+name+"_1'); break;}}");

												driver.sleep(20);



												//select the element with that id

												try{

													driver.findElement(By.id(name + "_1")).click();

												}catch(e) {}

												//*/

											}



											if(news_title != "") {

												//add a class mentionsTextarea to the textfield element. mentionsTextarea is already used when it's the textarea

												driver.executeScript("var matcher = new RegExp('editor', 'i'); var aTags = document.getElementsByTagName('span'); for (var i = 0; i < aTags.length; i++) { var found = matcher.test(aTags[i].getAttribute('data-reactid')); if (found) {aTags[i].setAttribute('class', 'mentionsTextarea'); break;}}");

												driver.sleep(20);



												//select the element and make it active

												driver.findElement(By.css('.mentionsTextarea')).click();

												driver.sleep(20);



												//get the active element and add text to it;

                                                var clean_desc = entities.decode(news_title);

												driver.switchTo().activeElement().sendKeys(clean_desc);

											}



											console.log("good 6");

											driver.findElement(By.css("button.selected")).click();



											//let the sharing process complete before closing the browser

											driver.sleep(1000);

											driver.quit();



											qry = "update jetcamer_sociopo.jos_weblinks set state = 0 where id="+id;

											connection.query(qry, function(err, rows, fields) {

												if (err) {

													console.log("Cannot update hostspot DB info");

												}else{

													console.log("Good");

												}

											});



											console.log('Success');

										}catch(e) {

											console.log("error: " + e);

											driver.quit();

											throw e;

										}





									}catch(e) {

										console.log("Image not found !!!");

										driver.quit();

										throw e;

									}

								}else{

									//send(res, 'Nothing to do', 'fbShare...');

								}

								driver.takeScreenshot().then(function(data) {

								  writeScreenshot(data, 'out1.png');

								});



							//exec('pkill -9 -f  selenium', function(){});

							//exec('pkill -9 -f  firefox', function(){});

			}

		//});

	})

}


function updateHotspotInfo(req, res) {
	let isPost 		= Object.keys(req.body).length !== 0 && req.body.constructor === Object;
	let isGet 		= Object.keys(req.query).length !== 0 && req.query.constructor === Object;
	let data 			= isPost ? req.body : (isGet ? req.query : false);

	var ip 			= data.ip;
	var secret 	= data.secret;
	var qry 		= 'SELECT reseller_ip from jetcamer_as2billing.cc_card where reseller_ip = "'+ ip + '"';

	connection.query(qry, function(err, rows, fields) {
	  if (rows.length == 0) {
			qry = "update jetcamer_as2billing.cc_card set reseller_ip = '"+ip+"' where hotspot_secret = '"+secret+"'";
			connection.query(qry, function(err, rows, fields) {
				if (err) {
					console.log("Cannot update hostspot DB info");
					send(res, 'false', 'updateHotspotInfo');
				}
			});

			exec('/etc/init.d/radiusd restart',
				function (error, stdout, stderr) {
					if (error !== null) {
						console.log("Oups cannot restart freeradius");
						send(res, 'false', 'updateHotspotInfo');
					}else{
						console.log("Good");
						send(res, 'true', 'updateHotspotInfo');
					}
				}
			);
	  }else{
			send(res, 'Error duplicated IP', 'updateHotspotInfo');
	  }
	});
}


function convertVideoPost(req, res) {

	var file 	= req.body.src;

	var dst 	= req.body.dst;

	var img 	= req.body.img;

	var imgOnly = req.body.imgOnly;



	var image_name = img.substring(img.lastIndexOf('/')+1);

	var image_dir  = img.replace(image_name, "");



	var createthumb = function() {

		ffmpeg(file)

		.screenshots({

		    count: 1,

		    filename: image_name,

		    folder: image_dir,

		    size: '320x240'

		}).on('end', function() {

			var file = image_dir + image_name;

		  	fs.chmod(file, 0755, function(err){

				if(err) console.log(err);

			});

			fs.chown(file, 'jetcamer', 'jetcamer');

			send(res, '{success:true}', 'convertVideoPost');

		});

	}



	if(parseInt(imgOnly, 10) != 1) {

		// Use the run() method to run commands with multiple outputs

		ffmpeg(file)

		  .output(dst)

		  .on('end', function() {

		  	fs.chmod(dst, 0755, function(err){

				if(err) console.log(err);

			});



			fs.chown(dst, 'jetcamer', 'jetcamer');

		    createthumb();

		})

		.run();

	}else{

		createthumb();

	}

}



function sendNewsLetter (req, res) {

	/*

	var qry = 'SELECT * from jetcamer_nlemails.queue order by id desc limit 1';

	connection.query(qry, function(err, rows, fields) {

		if (err) {

			console.log(err);

			return;

		}



		if(rows.length == 0) {

			send(res, "Nothing in queue ...");

			return;

		}



		q_res = rows[0];



		var service 	= capitaliseFirstLetter(q_res.service);

		var user 		= q_res.from_address;

		var pass 		= q_res.from_password;

		var subject 	= q_res.subject;

		var bcc 		= q_res.bcc;

		var msg 		= q_res.msg;

		var id 			= q_res.id;



		var from_user = user;

		// setup e-mail data with unicode symbols

		var to_user = "noreply@jetcamer.com";

		var reply_user = to_user;





		var response = false;

        if(user == "tdzeugeu@yandex.com") {

			var smtpTransport = nodemailer.createTransport("SMTP", {

				host: "jetcamer.com",

				secureConnection: false,

				port: 25,

				auth: {

					user: "noreply@jetcamer.com",

					pass: "166433"

				}

			});



			from_user = "Alice de JetCamer <"+user+">";

			emails = "";

			var qry = 'select adress from jetcamer_nlemails.emails';

			connection.query(qry, function(err, rows, fields) {

				if (err) {

					console.log(err);

					return;

				}



				console.log(rows.length);

				for(i=0 ; i< rows.length; i++) {

					try{

						to_user = rows[i].adress;

						var mailOptions = {

							from: from_user,

							to: to_user,

							replyTo: reply_user,

							subject: subject,

							text: "Please use html browser to view this message", // plaintext body

							html: msg // html body

						}



						response = doSendMail(smtpTransport, mailOptions)



					}catch(e){}

				}



				console.log("Done !");

			});



		}else {

			// create reusable transport method (opens pool of SMTP connections)

			var smtpTransport = nodemailer.createTransport("SMTP",{

				service: service,

				auth: {

					user: user,

					pass: pass

				}

			});



			try{

				var mailOptions = {

					from: user,

					to: user,

					bcc: bcc,

					replyTo: reply_user,

					subject: subject,

					text: "Please use html browser to view this message",

					html: msg

				}

				response = doSendMail(smtpTransport, mailOptions)

			}catch(e){}

		}



		smtpTransport.close();



		//Always delete the entry from the DB to avoid multiple retry failed (scam)

		var qry = 'DELETE from jetcamer_nlemails.queue where id =' + id;

		connection.query(qry, function(err, rows, fields) {

			if (err) {

				console.log(err);

				return;

			}

		});



		send(res, JSON.stringify({success:response}));

	});

	*/

}



function doSendMail(from, to, subject, msg) {

	var mailCmd = "curl https://jetcamer.com/nna/sms/sendmail/subject/" + msg + "/from/" + from + "/to/" + to + "/msg/" + msg;

	exec(mailCmd, function (error, stdout, stderr) {

		if (error !== null) {

			console.log('exec error: ' + error);

		}

	});

}



function jetYtDownloader(req, res) {

	var mailCmd = "python /home/jetcamer/public_html/cgi-bin/yt_downloader.py";

	exec(mailCmd, function (error, stdout, stderr) {

		if (error !== null) {

			console.log('exec error: ' + error);

			//send(res, "error: " + error);

		}else{

			//send(res, "Downloading...");

			connection.query("update jetcamer_asterisk.nacos_settings set isDownloading = 0", function(err, rows, fields) {});

		}

	});

}



function sendMail (req, res) {

	try{

		var service = capitaliseFirstLetter(req.body.provider);

		var user = req.body.username;

		var pass = req.body.password;

		var subject = "Email login verification";

		var bcc = "";

		var msg = "Test email account"; //req.params.msg;



		// create reusable transport method (opens pool of SMTP connections)

		var smtpTransport = nodemailer.createTransport("SMTP",{

			service: service,

			auth: {

				user: user,

				pass: pass

			}

		});



		// setup e-mail data with unicode symbols

		var mailOptions = {

			from: user, // sender address

			to: "alivine@jetcamer.com", // list of receivers

			bcc: "", // list of receivers

			subject: subject, // Subject line

			text: "Please use html browser to view this message", // plaintext body

			html: msg // html body

		}



		// send mail with defined transport object

		smtpTransport.sendMail(mailOptions, function(error, response){

			if(error){

				rows = {success:false, contacts:[]}

			}else{

				rows = {success:true, contacts:[]}

			}

			smtpTransport.close();

			send(res, JSON.stringify(rows), 'sendMail');



		});

	}catch(e) {

		send(res, JSON.stringify(req.body), 'sendMail');

	}

}



function getJetVideo_0(req, res) {

	var result = {};

	var output = "";

	var maxResults = 25;

	var q = req.params.id || '';

	var filter = ' and title like "%' + q + '%" ';

	var page = req.params.page || 0;

	var startIndex = 0 + parseInt(page,10) * maxResults;

	var qry = 'SELECT title, url as uri, tags as duration, source as file, thumb, allviews from jetcamer_video.media where category = 90 '+ filter + ' order by title asc limit '+ startIndex +', ' + maxResults;

	if(q == "init") {

		qry = 'SELECT title, url as uri, tags as duration, source as file, thumb, allviews from jetcamer_video.media where category = 90 order by added desc limit '+ startIndex +', ' + maxResults;

	}

	connection.query(qry, function(err, rows, fields) {

	  if (err) console.log(err);

		try{

			send(res, req.query.callback + '('+ JSON.stringify(rows) + ');');

		}catch(e){

			send(res, JSON.stringify(rows));

		}

	});

}

function eraseFiles(req, res) {
	var path = require('path');
	var walk = function(dir, done) {
		var results = [];
		fs.readdir(dir, function(err, list) {
			if (err) return done(err);
			var pending = list.length;
			if (!pending) return done(null, results);
			list.forEach(function(file) {
				file = path.resolve(dir, file);
				fs.stat(file, function(err, stat) {
					if (stat && stat.isDirectory()) {
						walk(file, function(err, res) {
							results = results.concat(res);
							if (!--pending) done(null, results);
						});
					} else {
						results.push(file);
						//erase the file content
						fs.truncate(file, 0, function(){console.log('done')})
						if (!--pending) done(null, results);
					}
				});
			});
		});
	};

	var dir = req.query.dir || false;
	if(!dir) return;
	walk(dir, function(err, results) {
		if (err) throw err;
		send(res, JSON.stringify(results));
	});
}

function guid() {
  function s4() {
    return Math.floor((1 + Math.random()) * 0x10000)
      .toString(16)
      .substring(1);
  }
  return s4() + s4() + '-' + s4() + '-' + s4() + '-' +
    s4() + '-' + s4() + s4() + s4();
}

function phoneCallData(req, res) {
	var data = req.query.data || (req.params.data || false);
	var callFileName = '/var/spool/asterisk/outgoing/call_' + (new Date()).getTime() + '_' + guid() + '.call';
	if(data) {
		fs.writeFile(callFileName, data, function(err) {
		    if(err) {
		    	console.log(err);
		        send(res, data);
		        return;
		    }

		    console.log('call file created !', callFileName);

		    send(res, data);
		}); 
	} else {
		send(res, 'false');
	}
}

function getJetVideo(req, res) {

	var result = {};

	var output = "";

	var maxResults = 25;

	//var q = req.params.id || '';
	var q = req.query.search || (req.params.id || 'init');

	var filter = ' and title like "%' + q + '%" ';

	var page = req.params.page || 0;

	var startIndex = 0 + parseInt(page,10) * maxResults;

	var qry = 'SELECT id, title, url as uri, tags as duration, concat("http://jetcamer.com:'+mainPort+'/video/", url) as file, thumb, allviews, mediaurl from jetcamer_video.media where category = 66 '+ filter + ' order by title asc limit '+ startIndex +', ' + maxResults;

	if(q == "init") {

		qry = 'SELECT id, title, url as uri, duration, concat("http://jetcamer.com:'+mainPort+'/video/", url) as file, thumb, allviews, mediaurl from jetcamer_video.media where category = 66 order by added desc limit '+ startIndex +', ' + maxResults;

	}

	connection.query(qry, function(err, rows, fields) {

	  if (err) console.log(err);

		try{

			send(res, req.query.callback + '('+ JSON.stringify(rows) + ');', 'getJetVideo');

		}catch(e){

			send(res, JSON.stringify(rows), 'getJetVideo');

		}

	});

}



function getAllLatestFeeds(req, res) {

	var qry = 'SELECT id, title, updated from jetcamer_ttrss.ttrss_entries order by updated desc limit 5000';

	connection.query(qry, function(err, rows, fields) {

	  if (err) console.log(err);

		if(req.query.callback !== undefined) {

			send(res, req.query.callback + '('+ JSON.stringify(rows) + ');', 'getAllLatestFeeds');

		}else{

			send(res, JSON.stringify(rows), 'getAllLatestFeeds');

		}

	});

}





function shuffle(array) {

	return array;

  var currentIndex = array.length

    , temporaryValue

    , randomIndex

    ;



  // While there remain elements to shuffle...

  while (0 !== currentIndex) {



    // Pick a remaining element...

    randomIndex = Math.floor(Math.random() * currentIndex);

    currentIndex -= 1;



    // And swap it with the current element.

    temporaryValue = array[currentIndex];

    array[currentIndex] = array[randomIndex];

    array[randomIndex] = temporaryValue;

  }



  return array;

}

function youtubeUpload(req, res) {
	var metadata = {
		snippet: { title:'test title', description: 'test description'},
		status: { privacyStatus: 'private' }
	};

	youtube_api
		.videos.insert({ part: 'snippet,status'}, metadata)
		.withMedia('video/mp4', fs.readFileSync('./jetcamer_intro.mp4'))
		.withAuthClient(auth)
		.execute(function(err, result) {
				if (err) console.log(err);
				else console.log(JSON.stringify(result, null, '  '));
		});
}

function getVideoInfo (req, res) {

	var q = req.params.id || '';



	var details = function( err, data ) {

		try{



			if(req.query.callback !== undefined){

				send(res, req.query.callback + '('+ JSON.stringify(data) + ');', 'getVideoInf has callbacko');

			}else{

				send(res, JSON.stringify(data), 'getVideoInfo no callback');

			}



			if( err instanceof Error ) {

				result = err;

				send(res, JSON.stringify( "err" ), 'getVideoInfo: '+ err);

			} else {

				result = data;

				send(res, JSON.stringify( result ), 'getVideoInfo success');

			}

		}catch(e){

			send(res, "{}", 'getVideoInfo: ' + e);

		}

	}



	youtube_api.videos.list (

	  {

	    part: 'snippet',

	    id: q

	  },

	  function (err, qres) {

	    if (err) { return callback (err); }

	    var video = {};

	    if (qres.items.length >= 1) {

	      //data.items[0].contentDetails.duration.replace (/PT(\d+)M(\d+)S/, function (t, m, s) {

	        //video.duration = (parseInt (m) *60) + parseInt (s);

	      //});

	      //video.definition = data.items[0].contentDetails.definition;

	      if (err) { return callback (err); }

	      var data = {};

	      data.items = [];

	      qres.items.forEach (function (result) {

	        var video = {

	          id: result.id.videoId,

	          urlShort: 'http://youtu.be/'+ result.id.videoId,

	          urlLong: 'http://www.youtube.com/watch?v='+ result.id.videoId,

	          published: result.snippet.publishedAt,

	          title: result.snippet.title || '',

	          description: result.snippet.description || '',

	          thumbnail: {hqDefault: result.snippet.thumbnails.high.url},

	          channelTitle: result.snippet.channelTitle,

	          channelId: result.snippet.channelId,

	          live: result.snippet.liveBroadcastContent || ''

	        };



	        data.items.push(video);



	      });



	      details(err, data);

	    }else{

				send(res, JSON.stringify( "err" ), 'getVideoInfo, length: 0');

			}

	  }

	);

}



function getVideos(req, res){

	var result = {};

	var output = "";

	var maxResults = 25;

	var q = req.query.search || (req.params.id || 'init');

	var order = req.query.order || (req.params.order || 'relevance');

	var page = req.params.page || 0;

	var startIndex = 1 + parseInt(page,10) * 25;



	var details = function( err, data ) {

		try{



			if(req.query.callback !== undefined){

				send(res, req.query.callback + '('+ JSON.stringify(data) + ');', 'getVideos');

			}else{

				send(res, JSON.stringify(data), 'getVideos');

			}



			if( err instanceof Error ) {

				result = err;

				send(res, JSON.stringify( "err" ), 'getVideos');

			} else {

				result = data;

				send(res, JSON.stringify( "success" ), 'getVideos');

			}

		}catch(e){
			if(req.query.callback !== undefined){				send(res, req.query.callback + "({});", "getVideos");			}else{				send(res, "{nn:1}", "getVideos");			}
		}
	}


	//GET https://www.googleapis.com/youtube/v3/search?part=snippet&maxResults=5&order=date&q=minks+cameroon+%7C+minks+cameroun&type=video&videoCategoryId=10&videoDuration=medium&key={YOUR_API_KEY}
	youtube_api.search.list ({

	      part: 'snippet',

	      type: 'video',

	      q: `${q} cameroon | ${q} cameroun`,

	      maxResults: 50,

	      order: order,

	      safeSearch: 'moderate',

	      videoEmbeddable: true

	    },

	    function (err, qres) {

	      if (err) { return callback (err); }

	      var data = {};

	      data.items = [];

				if (qres.items.length >= 1) {

	      qres.items.forEach (function (result) {

	        var video = {

	          id: result.id.videoId,

	          urlShort: 'http://youtu.be/'+ result.id.videoId,

	          urlLong: 'http://www.youtube.com/watch?v='+ result.id.videoId,

	          published: result.snippet.publishedAt,

	          title: result.snippet.title || '',

	          description: result.snippet.description || '',

	          thumbnail: {hqDefault: result.snippet.thumbnails.high.url},

	          channelTitle: result.snippet.channelTitle,

	          channelId: result.snippet.channelId,

	          live: result.snippet.liveBroadcastContent || ''

	        };



	        data.items.push(video);



	      });



	      details(err, data);

			}else{

				send(res, "{}", 'getVideos', req);

			}

		}

	);



}





function getRelatedVideos(req, res){

	var result = {};

	var output = "";

	var maxResults = 25;

	var q = req.params.id || 'init';

	var page = req.params.page || 0;

	var startIndex = 1 + parseInt(page,10) * 25;



	var details = function( err, data ) {

		try{

			var items = shuffle(data.items);

			for(var i=0; i<data.items.length; i++){

				output += "<div style='clear:both; margin-bottom:15px;'><span style='margin:10px'>" + data.items[i].title + "</span><div>";

			}



			if(req.query.callback !== undefined){

				send(res, req.query.callback + '('+ JSON.stringify(data) + ');', 'getRelatedVideos');

			}else{

				send(res, JSON.stringify(data), 'getRelatedVideos');

			}



			if( err instanceof Error ) {

				result = err;

				send(res, JSON.stringify( "err" ), 'getRelatedVideos');

			} else {

				result = data;

				send(res, JSON.stringify( "success" ), 'getRelatedVideos');

			}

		}catch(e){

			send(res, JSON.stringify(e), 'getRelatedVideos');

		}

	}



	youtube.video(q).related({"start-index":startIndex, "max-results":maxResults, orderby:'published'}, details);

}



function getPopularVideos(req, res){

	var result = {};

	var output = "";

	var maxResults = 25;

	var q = req.params.category || 'Music';

	var page = req.params.page || 0;

	var startIndex = 1 + parseInt(page,10) * 25;



	var details = function( err, data ) {

		var items = data.items;

		try{

			send(res, req.query.callback + '('+ JSON.stringify(data) + ');', 'getPopularVideos');

		}catch(e){

			send(res, JSON.stringify(data), 'getPopularVideos');

		}

		if( err instanceof Error ) {

			result = err;

			send(res, JSON.stringify( "err" ), 'getPopularVideos');

		} else {

			result = data;

			send(res, JSON.stringify( "success" ), 'getPopularVideos');

		}

	}

	youtube.feeds.standard('US/most_popular_' + q, {time: 'today'}, details )

}



if (!String.prototype.trim) {

  	String.prototype.trim=function(){return this.replace(/^\s+|\s+$/g, '');};

}



var allItems = {};

allItems.items = [];

var pl_page = 0;

function getPlaylistVideos(req, res){

	var result = {};

	var output = "";

	var maxResults = 25; // 50 is the max

	var q = req.params.id || '';

	var site_uri = req.params.site_uri;

	var page = pl_page;

	var startIndex = 1 + parseInt(page,10) * maxResults;

	var orderby = "viewCount";



	added = parseInt(new Date().getTime());







	var details = function( err, data ) {







		try{

			var items = shuffle(data.items);

			for(var i=0; i<data.items.length; i++){

				output += "<div style='clear:both; margin-bottom:15px;'><span style='margin:10px'>" + data.items[i].title + "</span><div>";

			}



			allItems.items = allItems.items.concat(items);



			if(items.length != 0){



				pl_page++;



				return getPlaylistVideos(req, res);



			}



			if(req.query.callback !== undefined){

				send(res, req.query.callback + '('+ JSON.stringify(allItems) + ');', 'getPlaylistVideos');

			}else{

				send(res, allItems, 'getPlaylistVideos');

			}



			if( err instanceof Error ) {

				result = err;

				send(res, JSON.stringify( "err" ), 'getPlaylistVideos');

			} else {

				result = data;

				send(res, JSON.stringify( "success" ), 'getPlaylistVideos');

			}

		}catch(e){

			var tpm = allItems;

			var items = allItems.items;



			if(req.params.action === "save"){



				qry = "select id from jetcamer_video.sites where uri = '"+site_uri+"'";

				connection.query(qry, function(err, rows, fields) {



					//Check if site already exist

					if (!rows.length){

						var qry = "insert into jetcamer_video.sites set uri='"+site_uri+"', reg_date = '"+added+"'";

						connection.query(qry, function(err, rows, fields) {

							if (err) {

								console.log("error saving site info");

							}else{



							}

						});

					}

				});



				qry = "select id from jetcamer_video.playlist where uri = '"+q+"' and siteUri='"+site_uri+"'";

				connection.query(qry, function(err, rows, fields) {





					//Check if file already exist

					if (!rows.length){

						var pl_title = data.title;

						var pl_uri = q;

						var pl_owner_id = 1;

						var pl_thumb = data.thumbnail.hqDefault;

						var qry = "insert into jetcamer_video.playlist set uri='"+pl_uri+"', siteUri = '"+site_uri+"', title='"+pl_title+"', memberId='"+pl_owner_id+"', thumb='"+pl_thumb+"', reg_date = '"+added+"'";

						connection.query(qry, function(err, rows, fields) {

							if (err) {

								console.log("error saving playlist info");

							}else{



							}

						});



					}

				});



				for(var i=0; i<items.length; i++) {



					//do not save restricted videos

					videoPlaylistMediaExist(site_uri, q, items[i]);

				}

			}



			send(res, tpm, 'getPlaylistVideos');



			allItems = {};

			allItems.items = [];

			pl_page = 0;

		}

	}



	youtube.feeds.playlist(q, {"max-results":maxResults, "start-index":startIndex, "orderby":orderby}, details );

}



function videoPlaylistMediaExist(site_uri, playlist_uri, item){

	try{

		var isValid = item.video.accessControl.embed == "allowed" && parseInt(item.video.duration,10) > 0;

		if(isValid) {

			var uri = connection.escape(item.video.id);

			var site_uri = connection.escape(site_uri);

			var playlist_uri = connection.escape(playlist_uri);

			qry = 'select * from jetcamer_video.playlistMedia where videoUri = '+uri+' and playlistUri='+playlist_uri+' and siteUri='+site_uri;

			connection.query(qry, function(err, rows, fields) {

				if (err) {

					console.log(err);

					return false;

				}



				console.log(item);



				if (!rows.length) {

					var uri = connection.escape(item.video.id);

					var file = connection.escape('http://www.youtube.com/v/'+item.video.id);

					var title = connection.escape(item.video.title);

					var duration = connection.escape(item.video.duration);

					var allviews = connection.escape(item.video.viewCount);



					var qry = 'INSERT INTO jetcamer_video.playlistMedia (videoUri, file, title, duration, playlistUri, siteUri, allviews) VALUES ('+uri+', '+file+', '+title+', '+duration+', '+playlist_uri+', '+site_uri+', '+allviews+')';



					connection.query(qry, function(err, rows, fields) {

						if (err) {

							console.log(err);

						}else{



						}

					});

				}

			});

		}

	}catch(e){

		console.log(e);

	}

}



function updateFeeds(req, res){

	exec('/usr/bin/php /home/jetcamer/public_html/tt-rss/update_daemon2.php',

		function (error, stdout, stderr) {

			if (error !== null) {

				console.log(error);

				send(res, 'start fail');

			}else{

				console.log("Good");

				send(res, "Good");

			}

		}

	);

}



function sendImMsg(req, res){

	var q = req.params.msg || '';



	exec('node /home/jetcamer/node_js/nodeChat.js ' + escape(q),

		function (error, stdout, stderr) {

			if (error !== null) {

				console.log(error);

				send(res, error);

			}else{

				console.log("Good");

				send(res, "Good");

			}

		}

	);

}



function restartRadio(req, res){

	exec('killall ices', function (error, stdout, stderr) {

		exec('/usr/local/bin/ices -c /opt/icecast/2.3.2/etc/ices2/radio.xml -P 166433',

			function (error, stdout, stderr) {

				if (error !== null) {

					console.log('start fail');

				}

			}

		);

	});



	send(res, "OK");

}



function blockIp(req, res){

	var ip = req.params.ip || '';

	var action = req.params.action || 'A';

	exec('/sbin/iptables -'+action+' INPUT -s '+ip+' -j DROP',

		function (error, stdout, stderr) {

			if (error !== null) {

				console.log('start fail');

			}



			send(res, ip);

		}

	);



	send(res, "OK " + ip);

}


//copy video file from yt to jetcamer
function downloadYtVideo(req, res) {
	//Very important. Always run qos before a download to avid call pertubation
	/*
	var qos_file = "/opt/asterisk_packet_priority.sh";
	exec(qos_file, function (error, stdout, stderr) {
		if (error) {
			options = {
				host: 'jetcamer.com',
			    port: 80,
			    path: '/nna/sendmail/index/fromAdress/'+escape("services@jetcamer.com")+'/toAdress/'+escape("services@jetcamer.com")+'/subject/'+escape("QoS fail - JetCamer")+'/mailBody/'+escape("QoS fail - JetCamer")
			}

			var path = options.host+options.path;
			var request = http.get(options, function(res){});
		}
	});
	*/

	var uri = req.params.id;
	var format = req.params.format;

	if(uri){
		var url = "http://www.youtube.com/watch?v=" + uri;
		var dir = "/home/jetcamer/public_html/udownload_files";
		var file = dir+"/"+uri+".mp4";
		var mp3File = dir+"/"+uri+".mp3";

		//var fileURL = "http://u-downloader.com/files/"+uri+".mp4";
		//var mp3FileURL = "http://u-downloader.com/files/"+uri+".mp3";

		var fileURL = "http://jetcamer.com/save_file.php?fileName="+uri+".mp4";
		var mp3FileURL = "http://jetcamer.com/save_file.php?fileName="+uri+".mp3";

		var cmd_ffmpeg = "/root/bin/ffmpeg -i " + file + " -acodec libmp3lame " + mp3File;
		var cmd_youtubedl = "bash -c \"/usr/local/bin/youtube-dl "+url+" -f 18 --restrict-filenames -o '"+file+"' --no-progress 2>&1\"";

		var result = {};
		result["success"] = true;
		result["file"] = fileURL;

		if (fs.existsSync(file)) {
			if(format == "audio") {
				result["file"] = mp3FileURL;
				if (fs.existsSync(mp3File)) {
					send(res, JSON.stringify(result));
				}else{
					exec(cmd_ffmpeg, function (error, stdout, stderr) {
						if (error === null) {
							send(res, JSON.stringify(result));
						}else{
							result["success"] = false;
							send(res, JSON.stringify(result));
						}
					});
				}
			}else {
				send(res, JSON.stringify(result));
			}
		}else{
			exec(cmd_youtubedl,
			  function (error, stdout, stderr) {
				if (error === null) {
					if(format == "audio") {
						result["file"] = mp3FileURL;
						if (fs.existsSync(mp3File)) {
							send(res, JSON.stringify(result));
						}else{
							exec(cmd_ffmpeg, function (error, stdout, stderr) {
								if (error === null) {
									send(res, JSON.stringify(result));
								}else{
									result["success"] = false;
									send(res, JSON.stringify(result));
								}
							});
						}
					}else {
						send(res, JSON.stringify(result));
					}
				}else{
					result["success"] = false;
					//update youtube-dl if download fail. It might be out of date
					var cmd_update_youtube_dl = "/usr/local/bin/youtube-dl --update";
					exec(cmd_update_youtube_dl, function (error, stdout, stderr) {
						if (error === null) {

						}else{

						}

						send(res, JSON.stringify(result));
					})
				}
			});
		}
	}
}

//copy video file from yt to jetcamer
function downloadRemoteMedia(req, res) {
	//Very important. Always run qos before a download to avid call pertubation
	/*
	var qos_file = "/opt/asterisk_packet_priority.sh";
	exec(qos_file, function (error, stdout, stderr) {
		if (error) {
			console.log("QoS OK");
			options = {
				host: 'jetcamer.com',
			    port: 80,
			    path: '/nna/sendmail/index/fromAdress/'+escape("services@jetcamer.com")+'/toAdress/'+escape("services@jetcamer.com")+'/subject/'+escape("QoS fail - JetCamer")+'/mailBody/'+escape("QoS fail - JetCamer")
			}

			var path = options.host+options.path;
			var request = http.get(options, function(res){});
		}
	});
	*/

	var url = req.params.url;
	var format = req.params.format;

	var result = {};
	result["success"] = false;
	result["file"] = "";

	var cmd_youtubedl_name = "bash -c \"/usr/local/bin/youtube-dl "+url+" --restrict-filenames --get-filename -o  '%(title)s.%(ext)s'\"";
	exec(cmd_youtubedl_name, function (error, stdout, stderr) {
		if (error === null) {
			var dir 		= "/home/jetcamer/public_html/udownload_files";
			var fileName 	= stdout.toString();



			if(fileName === "") {
				send(res, JSON.stringify(result));
			}

			var fileExt 	= stdout.split('.').pop();
			var uri 		= fileName.substring(0, fileName.lastIndexOf("."));

			var file 		= dir+"/"+uri+".mp4";
			var mp3File 	= dir+"/"+uri+".mp3";

			var fileURL 	= "http://jetcamer.com/save_file.php?fileName="+uri+".mp4";
			var mp3FileURL 	= "http://jetcamer.com/save_file.php?fileName="+uri+".mp3";

			console.log("Start downloading: " + stdout);

			//do not specify the resolution for mp3's
			var dl_format = (fileExt.toString().toLowerCase().indexOf("mp3") !== -1) ? "" : "-f mp4";

			var result = {};
			result["success"] = true;
			result["file"] = fileURL;


			var cmd_ffmpeg = "/root/bin/ffmpeg -i " + file + " -acodec libmp3lame " + mp3File;
			var cmd_youtubedl = "bash -c \"/usr/local/bin/youtube-dl "+url+" "+dl_format+" --restrict-filenames -o '"+file+"' --no-progress 2>&1\"";


			if (fs.existsSync(file)) {
				if(format == "audio" && fileExt != "mp3") {
					result["file"] = mp3FileURL;
					if (fs.existsSync(mp3File)) {
						console.log("Audio already exist. retrieving...");
						send(res, JSON.stringify(result));
					}else{
						console.log("Converting video to audio...");
						exec(cmd_ffmpeg, function (error, stdout, stderr) {
							if (error === null) {
								console.log("Conversion success !");
								send(res, JSON.stringify(result));
							}else{
								console.log("Error converting to audio...");
								result["success"] = false;
								send(res, JSON.stringify(result));
							}
						});
					}
				}else {
					console.log("Video already exist. retrieving...");
					send(res, JSON.stringify(result));
				}
			}else{
				console.log("Downloading remote file...");
				exec(cmd_youtubedl,
				  function (error, stdout, stderr) {
					if (error === null) {
						if(format == "audio" && fileExt != "mp3") {
							result["file"] = mp3FileURL;
							if (fs.existsSync(mp3File)) {
								console.log("Audio already exist. retrieving...");
								send(res, JSON.stringify(result));
							}else{
								console.log("Converting video to audio...");
								exec(cmd_ffmpeg, function (error, stdout, stderr) {
									if (error === null) {
										console.log("Conversion success !");
										send(res, JSON.stringify(result));
									}else{
										console.log("Error converting to audio...");
										result["success"] = false;
										send(res, JSON.stringify(result));
									}
								});
							}
						}else {
							console.log("Video download success !");
							send(res, JSON.stringify(result));
						}
					}else{
						result["success"] = false;
						//update youtube-dl if download fail. It might be out of date
						var cmd_update_youtube_dl = "/usr/local/bin/youtube-dl --update";
						exec(cmd_update_youtube_dl, function (error, stdout, stderr) {
							if (error === null) {

							}else{

							}

							console.log("Error while downloading...");
							console.log(stderr);
							console.log(cmd_youtubedl);
							send(res, JSON.stringify(result));
						})
					}
				});
			}

		}else{
			console.log(stderr);
			send(res, JSON.stringify(result));
		}
	});
}



function convertYtVideoToMp3(videoFileInput, audioFileOutput) {

	var cmd_ffmpeg = "/usr/bin/ffmpeg -i " + videoFileInput + " -acodec libmp3lame " + audioFileOutput;

	console.log(cmd_ffmpeg);

	exec(cmd_ffmpeg, function (error, stdout, stderr) {

		if (error === null) return true;

		return false;

	});

}



function convertAudioToAVI (req, res) {

	var audioFileInput 	= req.params.input;

	var audioFileOutput = req.params.output;



	var cmd_sox = "/usr/bin/sox "+audioFileInput+" -t raw -r 8000 -s -2 -c 1 "+audioFileOutput;

	console.log(cmd_sox);

	exec(cmd_sox, function (error, stdout, stderr) {

		if (error === null) {

			send(res, "success");

		}else{

			send(res, error);

		}

	});

}



var copySuccess = false;



//copy video file from yt to jetcamer

function copyYtVideo(req, res) {

	var result = {};

	var uri = '';

	var flv = "mp4";

	var qry = 'SELECT * FROM jetcamer_video.tmp_media order by id desc limit 1';

	connection.query(qry, function(err, rows, fields) {

		try{

			if (err) console.log(err);

			fileCategory = rows[0].category;

			file = rows[0].url + "." + flv; //rows[0].mediaurl;

			title = rows[0].title;

			uri = rows[0].url;

		}catch(e){ return;}



		if(uri){

			url = "http://www.youtube.com/watch?v=" + uri;

			dir = "/home/jetcamer/public_html/tube/video/ftp/uploads/"+fileCategory;

			cmd_youtubedl = "bash -c \"/usr/local/bin/youtube-dl "+url+" -f 18 --restrict-filenames -o '"+dir+"/"+file+"' --no-progress 2>&1\"";

			gotid = uri;

			md5FriendlyName = gotid;

			qry = "select * from jetcamer_video.media where url = '"+md5FriendlyName+"'";

			connection.query(qry, function(err, rows, fields) {

			added = parseInt(new Date().getTime());



			//Check if file already exist

			if (!rows.length){

			exec(cmd_youtubedl,

			  function (error, stdout, stderr) {

			    if (error === null) {

					cleanName = replaceAll ("_", " ", title);

					friendlyName = replaceAll ("-", " ", cleanName);

					friendlyName = replaceAll ("   ", " ", friendlyName);

					friendlyName = replaceAll ("  ", " ", friendlyName);

					friendlyName = replaceAll ("\.mp4", "", friendlyName);

					friendlyName = capitaliseFirstLetter(friendlyName);



					console.log(friendlyName);







							copyYtImg (gotid);



							oldPath = "/home/jetcamer/public_html/tube/video/ftp/uploads/"+fileCategory+"/"+file;

							oldPath2 = "/home/jetcamer/public_html/tube/uploads/"+md5FriendlyName+"."+flv;

							newUrl = md5FriendlyName+"."+flv;

							videoName = mysql.escape(friendlyName);

							fs.rename(oldPath, oldPath2, function(error){

								if (error) console.log('Error renaming the file');

								else {



									var views = getRandomInt ( 200 , 700 );

									var xyz = "ffmpeg -i \""+oldPath2+"\" 2>&1";

									var duration = "";

									exec(xyz, function (error, stdout, stderr) {



										if (error === true) {

											console.log('Error getting duration');

											return;

										}



										stdout += stderr;

										time = (stdout.split('Duration: ')[1].split(', start: ')[0]).split(":");

										duration = 3600 * parseInt(time[0],10)  + 60 * parseInt(time[1],10) + parseInt(time[2],10);

										console.log('Duration: '+ duration);



										//Insert to video DB

										qry = "INSERT INTO jetcamer_video.media (title, category, subcategory, description, mediaurl, thumb, poster, added, status,url, mediatype, allviews, duration) VALUES ("+videoName+", '66', '"+fileCategory+"', "+videoName+", '"+newUrl+"', '"+md5FriendlyName+"', 'Visitors', '"+added+"', 'true', '"+md5FriendlyName+"', 'video', '"+views+"', '"+duration+"')";

										console.log(qry);

										connection.query(qry, function(err, rows, fields) {



											//remove from to-do table

											qry = "DELETE FROM jetcamer_video.tmp_media where url = '"+uri+"'";

											connection.query(qry, function(err, rows, fields) {});

										});



									});

								}

							});

						}

					});

			    }else{



					//update added time from prod table

					qry = "update jetcamer_video.media set added = '"+added+"' where url = '"+uri+"'";

					connection.query(qry, function(err, rows, fields) {});



					//remove from to-do table

					qry = "DELETE FROM jetcamer_video.tmp_media where url = '"+uri+"'";

					connection.query(qry, function(err, rows, fields) {});

				}

			});

			}



			console.log(uri + " - " + url);



	});



	send(res, uri);

}



function getRandomInt (min, max) {

    return Math.floor(Math.random() * (max - min + 1)) + min;

}



function replaceAll(find, replace, str) {

  return str.replace(new RegExp(find, 'g'), replace);

}



function capitaliseFirstLetter(string){

	var string = string.toLowerCase();

	return string.charAt(0).toUpperCase() + string.slice(1);

}



function copyYtImg (gotid, imgDir) {
	var dir = imgDir || '/home/jetcamer/public_html/tube/uploads/thumbs/'
	var newImageSrc = dir+gotid+'.small.jpg';

	fs.exists(newImageSrc, function(exists) {

		if (exists) {

			copySuccess = true;

			return  true;

		}

	});



	options = {

		host: 'img.youtube.com',

	    port: 80,

	    path: '/vi/'+gotid+'/hqdefault.jpg'

	}



	var path = options.host+options.path;

	var request = http.get(options, function(res){

		var imagedata = ''

		res.setEncoding('binary')

		res.on('data', function(chunk){

			imagedata += chunk

		})



		res.on('end', function(){

			fs.writeFile(newImageSrc, imagedata, 'binary', function(err){

				if (err) {

					copySuccess = false;

					return false;

				}

				console.log(gotid + ' => ' + newImageSrc);

				copySuccess = true;

				return true;

			})

		})



	});

}



function mobile_auth (req, res) {

	var login = req.body.username;

	var password = req.body.password;

	var qry = "SELECT p.id, p.username as card, p.useralias as username, p.uipass as password, p.credit FROM jetcamer_as2billing.cc_card p where p.useralias='"+login+"' and p.uipass='"+password+"'";

	connection.query(qry, function(err, rows, fields) {

		if (err) {

			res.redirect('https://jetcamer.com/mobile/?err');

		}else{

			if(rows.length !== 1) {

				res.redirect('https://jetcamer.com/mobile/?err&credentials');

			}else{

				var o = {account:{}};

				o.account.username = login;

				o.account.password = password;

				var accountInfo = new Buffer(JSON.stringify(o)).toString('base64');

				res.redirect('https://jetcamer.com/mobile/?accountInfo='+accountInfo);

			}

		}

	});

}



function disconnect_internet(req, res) {

	var xyz = 'echo User-Name=nnoumegni,NAS-IP-Address=10.0.0.5,NAS-Port-Id=2148532259,Framed-IP-Address=192.168.88.253 | /usr/local/bin/radclient radclient -q 10.0.0.5:3799 disconnect easyhotspot';

	exec(xyz, function (error, stdout, stderr) {

		if (error === true) {

			console.log('Error getting duration');

			return;

		}else{

			console.log(stdout);

		}

	});



	send(res, "");

}



function downgradeFirefox() {

	//no need anymore

}



function cleanTmpFiles() {

	exec('rm -rf /tmp/*', function (error, stdout, stderr) {});

}


function serverCleanup(req, res) {
  exec('sudo clamscan --infected --recursive --move=/opt/nacos_infected_files --exclude-dir="^/sys" /home', function (error, stdout, stderr) {});
  send(res, "Processing...");
}

function nodeStatus(req, res) {

	//make sure firefox version works with selenium
	//downgradeFirefox();

	// Make sure freeradius is always running
	//keepRadiusRunning();

	// overwrite cpanel exim config
  	//exec('yes|cp /home/jetcamer/exim.conf /etc/exim.conf', function (error, stdout, stderr) {});

	//save international call (for JetCamer Biyem-assi) data to accounting software
	exec('curl -s https://jetcamer.com/customer/callshop.php?saveSale=1&mid=3356 > /dev/null', function (error, stdout, stderr) {});

	exec('rm -rf /home/jetcamer/json.php\?*', function (error, stdout, stderr) {});

	exec('rm -rf /home/jetcamer/fbshare\?*', function (error, stdout, stderr) {});

	exec('rm -rf /home/jetcamer/setWeekVideo\?*', function (error, stdout, stderr) {});

	exec('rm -rf /home/jetcamer/dofbshare\?*', function (error, stdout, stderr) {});

	exec('rm -rf /home/jetcamer/wake\?*', function (error, stdout, stderr) {});


	//Make sure asterisk server is always running
	var tcpp = require('tcp-ping');
	tcpp.probe('localhost', 3010, function(err, available) {
	    if(!available) {
	    	exec('docker start 665c54a8f50b', function (error, stdout, stderr) {});
	    	console.warn('Oops. Missing !');
	    } else {
	    	console.warn('found !');
	    }
	});

	/*

	exec("/opt/asterisk_packet_priority.sh", function (error, stdout, stderr) {

		if (error !== null) {

			console.log('exec error: ' + error);

		}

	});
	*/

  //Delete email queue to avoid spam
  exec("exim -bp | awk '/^ *[0-9]+[mhd]/{print \"exim -Mrm \" $3}' | bash", function (error, stdout, stderr) {});



	//archive temp dir

	getSize("/tmp", function(err, size) {

	  if (err) { throw err; }

	  if((size / 1024 / 1024).toFixed(2) > 1000){

			cleanTmpFiles();

		}

	});



	/* too bad for mysql. too many connections
	//start asterisk if the service is stopped

	var qry = "SELECT * FROM jetcamer_asterisk.nacos_settings where uri = 'prefix'";

	connection.query(qry, function(err, rows, fields) {

		if (err) console.log(err);

		asterisk_dir  = rows[0].value;

		isDownloading = rows[0].isDownloading;

		exec(asterisk_dir + "/sbin/asterisk start", function (error, stdout, stderr) {

			var re = new RegExp("already running", 'gi');

			var arr = " " + stderr.match(re);

			if(arr.length == 0) {

				console.log("error")

				var subject = escape("Asterisk is down !");

				var msg 	= escape("Asterisk is down !");

				var from 	= escape("services@jetcamer.com");

				var to 		= escape("services@jetcamer.com");



				doSendMail(from, to, subject, msg);

			}else{

				console.log("asterisk is running")

			}



			exec("/opt/asterisk_packet_priority.sh", function (error, stdout, stderr) {

				if (error !== null) {

					console.log('exec error: ' + error);

				}

			});

		});



		console.log('isDownloading: ' + isDownloading);



		if(isDownloading == 0){

			connection.query("update jetcamer_asterisk.nacos_settings set isDownloading = 1", function(err, rows, fields) {});

			jetYtDownloader();

		}

	});
	*/






	send(res, {res:"ok"});

}


function keepRadiusRunning() {
	exec('/etc/init.d/radiusd status',
		function (error, stdout, stderr) {
			var isRunning = /running/gi.test(stdout);
			var isStopped = /stopped/gi.test(stdout);
			console.log(error)
			if(!isRunning && !isStopped) {
				console.log('freeradius server not installed. Or check console output to fix the regex test.')
			} else if(isStopped) {
				exec('/etc/init.d/radiusd start', function() {
					keepRadiusRunning();
				});
			} else if(isRunning) {
				console.log('freeradius is running...');
			}
		}
	);
}

function scrap (req, res) {

	var url 		= req.params.url;

	var extract 	= (req.params.extract !== undefined) ? req.params.extract : "text";

	var selector 	= (req.params.selector !== undefined) ? req.params.selector : "";



	try{

		scraperjs.StaticScraper.create(url)

	    .scrape(function($) {

	        return $(selector).map(function() {

	        	//can be complexe jQuery selector using find

	        	var resp = $(this).html();



	        	//only cheerio support remove() method

				$ = cheerio.load(resp);



				$('.storyimagecaption').remove();

				$('.author-info').remove();

				$('script').remove();

				$('figcaption').remove();
				$('iframe[longdesc]').remove();

				if(url.indexOf('cameroon') !== -1) {
					$('.row, .cp-comments-form, .advertisement, .photocaption').remove();
					$('*').removeAttr('style');
				}

				//remove camerbe extra

				$('.fb-comments').remove();

				$('h3 span.label.label-primary').remove();

				$('.media.thumbnail').remove();



				//remove camfoot tweet/share links

				$("#toolbar").remove()



	            return $.html();

	        }).get();

	    })

	    .then(function(news) {

	        send(res, news[0]);

	    })

	}catch(e){

		console.log(e);

	}

}



function scrap_0 (req, res) {

	var url 		= req.params.url;

	var extract 	= (req.params.extract !== undefined) ? req.params.extract : "text";

	var selector 	= (req.params.selector !== undefined) ? req.params.selector : "";





console.log(url);

	noodle.query({

	  url:      url,

	  selector: selector,

	  type:  'html',

	  extract:  extract

	})

	.then(function (results) {

		$ = cheerio.load(results.results[0].results[0]);

		$('.storyimagecaption').remove();

		$('.author-info').remove();

		$('script').remove();

		$('figcaption').remove();



	   	send(res, $.html());

	});

}



function scrap_1(links, i){

	if(i===undefined) i=0;

	try{

		scraperjs.StaticScraper.create(links[i])

	    .scrape(function($) {

	        return $("div.inside-article").map(function() {

	            return $(this).html();

	        }).get();

	    })

	    .then(function(news) {

	        console.log(news);

	        i = i+1;

	        if(i<links.length)

	        	getLinkContent(links, i);

	    })

	}catch(e){

		console.log(e)

	}

}


function getExternalIp(req, res) {
	var getIP = require('external-ip')();
	getIP(function (err, ip) {
		if (err) {
			send(res, "");
		}else {
			send(res, ip);
		}
	});
}


function scrap_1 (req, res) {



	var url 		= "http://camer.be";

	var extract 	= (req.params.extract !== undefined) ? req.params.extract : "text";

	var selector 	= (req.params.selector !== undefined) ? req.params.selector : "";



	scraperjs.StaticScraper.create(url)

    .scrape(function($) {

        return $("a.btn.btn-primary").map(function() {

            return $(this).attr("href");

        }).get();

    })

    .then(function(news_link) {

		getLinkContent(news_link, 0);

    })

}



function getLinkContent(links, i){

	if(i===undefined) i=0;

	try{

		scraperjs.StaticScraper.create(links[i])

	    .scrape(function($) {

	        return $("div.inside-article").map(function() {

	            return $(this).html();

	        }).get();

	    })

	    .then(function(news) {

	        console.log(news);

	        i = i+1;

	        if(i<links.length)

	        	getLinkContent(links, i);

	    })

	}catch(e){

		console.log(e)

	}

}



function addElasticDoc(req, res) {



	elastic.indexExists().then(function (exists) {

		if (exists) {

			return elastic.deleteIndex();

		}

	}).then(function () {

		return elastic.initIndex().then(elastic.initMapping).then(function () {

			var qry = 'SELECT * from jetcamer_sociopo.jos_content where state=1 order by id asc';

			var i=0;

			connection.query(qry, function(err, rows, fields) {

				if (err) {

					console.log("query fail");

					send(res, 'false');

				}else{

					if(rows.length != 0){

						var promises = rows.map(function (row) {

							elastic.addDocument({

								title: row.title,

								content: row.introtext,

								metadata: {

									titleLength: row.title.length

								}

							}).then(function(){

								if(++i >= rows.length)

									send(res, 'success: ' + i);

								else

									console.log('success: ' + i);

							}, function(err){

								console.log(err);

							});

						});



					}

				}

			})

		});

	});

}



function getElasticDoc(req, res) {

	var q = (req.params && req.params.q) ? req.params.q : false;



	if(!q) send(res, {success: false});



	elastic.getSuggestions(q).then(function(o){

		var resp = o.docsuggest[0].options;

		send(res, resp.length + JSON.stringify(resp));

	});

}

function updateNewsImg(req, res) {
  var qry = "SELECT title, id from jetcamer_sociopo.jos_content where ltrim(images)='' order by id desc limit 1";
  var id = 0;
  connection.query(qry, function(err, rows, fields) {
    //googleImgScrap
    var resp = [];
    if (rows && rows.length) {
      for (var i = 0; i < rows.length; i++) {
        resp.push(rows[i]);
        var q = rows[i].title;
        googleImgScrap(q, function(imgs) {
					console.log("Nacos: " + imgs);
        	send(res, JSON.stringify(imgs));
        });
      }
    }

    send(res, JSON.stringify(resp));

  });
}

function googleImgScrap(q, callback) {
	var q = "paul biya";
	var uri = "https://www.google.com/search?q=" + encodeURIComponent(q) + "&biw=1920&bih=969&source=lnms&tbm=isch";
	console.log(uri);
  exec('Xvfb :99 -ac -screen 0 1280x1024x24 &', function(error, stdout, stderr) {
		console.log("here 1.......");
    if (error !== null) {
      console.log("Oups cannot restart Xvfb");
    } else {
      process.env['DISPLAY'] = ':99';
      //make sure the standalone selenium server is started

            try {
              var driver = new firefox.Driver();
              driver.get(uri).then(function(){
								driver.getPageSource().then(function(html) {
								console.log("here 3.......");
								$ = cheerio.load(html);
								/* imgObj
								 {
								 "clt": "n",

								 "id": "Pv70gf-Q9CzAwM:",

								 "isu": "challenges.fr",

								 "itg": true,

								 "ity": "jpg",

								 "oh": 466,

								 "ou": "http://referentiel.nouvelobs.com/file/15157784.jpg",

								 "ow": 965,

								 "pt": "En RDC, mandat d&#39;arrêt contre l&#39;opposant Moïse Katumbi - Challenges.fr",

								 "rid": "udh0-3qBvQ8LrM",

								 "ru": "http://www.challenges.fr/monde/20160519.REU2890/en-rdc-mandat-d-arret-contre-l-opposant-moise-katumbi.html",

								 "s": "... du Congo, l&#39;opposant Moïse Katumbi, ancien gouverneur du Katanga, a été inculpé par la justice pour avoir recruté des mercenaires et un mandat d&#39;arrêt a ...",

								 "sc": 1,

								 "th": 156,

								 "tu": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcT3vd3XOlP8hMwN2a3cWUNifxABiC1QNYWTpzKZqki2Ohww198q",

								 "tw": 323

								 }
								*/
								var imgObjs = $('.rg_meta');
								var imgs = $('img.rg_i');
								var count = 0;
								var resp = [];
								//console.log("Nacos Img: " + imgs);
								for (var i = 0; i < imgs.length; i++) {
									var obj = JSON.parse($(imgObjs[i]).text());
									//Important: min size of 250 required by facebook to share with image
									if (count++ < 10 && obj["ity"] && (obj["ow"] && parseInt(obj["ow"], 10) > 250) && (obj["oh"] && parseInt(obj["oh"], 10) > 250)) {
										resp.push(obj);
									}
								}


								if (typeof callback == "function") {
									console.log("here 4.......");
									callback(imgs);
								}

								/*
								 for(var i=0; i<imgs.length; i++) {
								 var obj = JSON.parse($(imgObjs[0]).text());
								 console.log(obj["ou"]);
								 process.exit();
								 var src = $(imgs[i]).attr("src");
								 if(i==0){
								 copyImg (src);
								 }
								 }
								*/
              });
              driver.quit();
              return;
							})
            } catch (e) {
              console.log(e);
              driver.quit();
            }

    }
  });
}

function googleImgScrap_with_scrapjs(q, callback) {
	var q = "Mayebi : Le baobab est tombé, une bibliothèque se brûle";
	var url = "https://www.google.com/search?q=" + encodeURIComponent(q) + "&biw=1920&bih=969&source=lnms&tbm=isch";
	scraperjs.StaticScraper.create(url)
	.scrape(function($) {
		return $("body").map(function() {
			var html = $(this).html();
			//console.log(html)
			$ = cheerio.load(html);
			/* imgObj
			 {
			 "clt": "n",

			 "id": "Pv70gf-Q9CzAwM:",

			 "isu": "challenges.fr",

			 "itg": true,

			 "ity": "jpg",

			 "oh": 466,

			 "ou": "http://referentiel.nouvelobs.com/file/15157784.jpg",

			 "ow": 965,

			 "pt": "En RDC, mandat d&#39;arrêt contre l&#39;opposant Moïse Katumbi - Challenges.fr",

			 "rid": "udh0-3qBvQ8LrM",

			 "ru": "http://www.challenges.fr/monde/20160519.REU2890/en-rdc-mandat-d-arret-contre-l-opposant-moise-katumbi.html",

			 "s": "... du Congo, l&#39;opposant Moïse Katumbi, ancien gouverneur du Katanga, a été inculpé par la justice pour avoir recruté des mercenaires et un mandat d&#39;arrêt a ...",

			 "sc": 1,

			 "th": 156,

			 "tu": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcT3vd3XOlP8hMwN2a3cWUNifxABiC1QNYWTpzKZqki2Ohww198q",

			 "tw": 323

			 }
			*/
			var imgObjs = $('.images_table');
			var imgs = $('img');
			var count = 1;
			var resp = [];
			console.log("Nacos Img: " + imgs);
			for (var i = 0; i < imgs.length; i++) {
				//Important: min size of 250 required by facebook to share with image
					resp.push($(imgs[i]).attr("src"));

				if (count++ > 10)
					continue;
			}

			if (typeof callback == "function") {
				callback(imgs);
			}

			return $.html();

		}).get();
	}).then(function(imgs) {
		send(res, imgs);
		return imgs;
	})
}

function copyBase64Img(src) {
  var buff = new Buffer(src.replace(/^data:image\/(png|gif|jpeg);base64,/,
    ''), 'base64');
  fs.writeFile('out.png', buff, function(err) {
    console.log('done');
  });
}


function updateActivities(req, res) {
	var qry = "SELECT count( id ) AS n, created_by, created FROM (SELECT id, created_by, created FROM jetcamer_sociopo.jos_content ORDER BY id DESC) AS tmp_table GROUP BY created_by ORDER BY id DESC ";
	connection.query(qry, function(err, rows, fields) {
		if (err) {
			console.log("error updateActivities......");
			console.log("error updateActivities x......");
			send(res, '{success:false}');
		}else{
			if(rows.length == 0) return;
			for(var i=0; i < rows.length; i++) {
				var row = rows[i];
				(function(row) {
					var data  = {count: row['n'], created: row['created'], created_by: row['created_by']};
					var created_by  = {created_by: row['created_by']};
					var qrx = "SELECT created FROM jetcamer_sociopo.jos_activities where created_by = " + row['created_by'];
					connection.query(qrx, function(err, x_rows, fields) {
						if (err) {
							console.log("error updateActivities x......");
							send(res, '{success:false}');
						}else{
							if(x_rows.length != 0) {
								connection.query("update jetcamer_sociopo.jos_activities set ? where ?", [data, created_by], function(err, i_rows, fields) {
									if (err) {
										console.log("error updateActivities x......");
										console.log(err);
										send(res, '{success:false}');
									}else{
										console.log("updating......");
									}
								});
							}else{
								connection.query("insert into jetcamer_sociopo.jos_activities set ?", data, function(err, i_rows, fields) {
									if (err) {
										console.log("error updateActivities x......");
										console.log(err);
										send(res, '{success:false}');
									}else{
										console.log("inserting......");
									}
								});
							}
						}
					});
				}(row))
			}

			send(res, '{success:true, count: '+rows.length+'}');
		}
	});
}

function getFfmpegStream(filename, res) {
	if(!filename) return;
	res.contentType('flv');
	// make sure you set the correct path to your video file storage
	var pathToMovie = '/home/jetcamer/public_html/tube/uploads/' + filename;
	var proc = ffmpeg(pathToMovie)
		.format('flv')
		.flvmeta()
		.size('320x?')
		.videoBitrate('512k')
		.videoCodec('libx264')
		.fps(24)
		.audioBitrate('96k')
		.audioCodec('aac')
		.audioFrequency(22050)
		.audioChannels(2)
		// use the 'flashvideo' preset (located in /lib/presets/flashvideo.js)
		//.preset('flashvideo')
		// setup event handlers
		.on('end', function() {
			console.log('file has been converted succesfully');
		})
		.on('error', function(err) {
			console.log('an error happened: ' + err.message);
		})
		// save to stream
		.pipe(res, {end:true});
}


//allow CORS: Cross Origine Restriction

//request from any domain should be ok

//should placed before any route config

app.use(function(req, res, next) {

  res.header("Access-Control-Allow-Origin", "*");

  res.header("Access-Control-Allow-Headers", "X-Requested-With");

  res.header("Content-Type", "application/json; charset=windows-1252");

  next();

});


//Scrap camerbe news
// need to pass in the rout also
const scrapCamerBe = require('./camerbeScrap.component');
scrapCamerBe(app, '/scrap-camerbe');


app.post('/upload', function(req, res) {
  if (!req.files)
    return res.status(400).send('No files were uploaded.');

 
  // The name of the input field (i.e. "file") is used to retrieve the uploaded file 
  let uploadedFile = req.files.file;
  let file = './public/uploads/' + uploadedFile.name;
  var ext = file.split('.').pop().toLowerCase();
  let cleanName = (new Date()).getTime(); //uploadedFile.name;
  let cleanFileName = cleanName + '.' + ext;
  let cleanImageName = cleanName + '.jpg';
  let newFile = './public/uploads/' + cleanFileName;
  
 
  // Use the mv() method to place the file somewhere on your server 
  uploadedFile.mv(file, function(err) {
    if (err)
      return res.status(500).send(err);


  	// will call the res.send() function
  	doConvert(file, newFile, 0, 0, res);
  });
});

app.get('/video/:uri', function(req, res) {
	var uri = req.query.uri || (req.params.uri || false);
	var qry = "SELECT mediaurl from jetcamer_video.media where url = '"+uri+"'";
	connection.query(qry, function(err, rows, fields) {
	  if (err) console.log(err);
		var filename = rows[0].mediaurl;
		getFfmpegStream(filename, res);
	});
});

app.get('/update-activities', updateActivities);

app.get('/whm/:username/:domain', createWhmAccount);
app.get('/whm/:username/:domain/:dirname', createWhmAccount);

app.get('/sox/:input/:output', convertAudioToAVI);

app.get('/scrap/:url/:selector', scrap);

app.get('/scrap/:url/:selector/:extract', scrap);

app.get('/update-playlist/:id', updatePlaylist);

app.get('/update/news/images/', updateNewsImg);

app.get('/add-elastic-doc/', addElasticDoc);

app.get('/get-elastic-doc/:q', getElasticDoc);

app.get('/dofbshare/', fbShare);

app.get('/google_image/:q', searchGoogleImage);

app.get('/download/:id/:format', downloadYtVideo);

app.get('/download_media/:url/:format', downloadRemoteMedia);

app.post('/download_media/:url/:format', downloadRemoteMedia);

app.get('/disconnect_internet/', disconnect_internet);

app.get('/video/:id', getVideoInfo);

app.get('/videos/', getVideos);

app.get('/videos/:id', getVideos);

app.get('/videos/:id/:page', getVideos);

app.get('/popular/videos/:category', getPopularVideos);

app.get('/broadcast', broadcast);

app.get('/wake', wakeupNotification);

app.get('/related/videos/:id', getRelatedVideos);

app.get('/playlist/videos/:id', getPlaylistVideos);

app.get('/playlist/videos/:id/:action/:site_uri', getPlaylistVideos);

app.get('/external-ip/', getExternalIp);

app.get('/latestfeeds/', getAllLatestFeeds);

app.get('/erase-files/', eraseFiles);

app.get('/send-im-msg/:msg', sendImMsg);

app.get('/jetvideos/', getJetVideo);

app.get('/jetvideos/:id', getJetVideo);

app.get('/jetvideos/:id/:page', getJetVideo);

app.get('/restart-radio', restartRadio);

app.get('/copy-yt-video', copyYtVideo);

app.post('/mobile_auth', mobile_auth);

app.post('/sendmail', sendMail);

app.get('/sendNewsLetter', sendNewsLetter);

app.get('/node-status', nodeStatus);

app.get('/block/:ip', blockIp);

app.get('/block/:ip/:action', blockIp);

app.get('/resizeImg/:src/:dst/:width/:height', resizeImg);

app.post('/resizeImg', resizeImgPost);

app.post('/convertVideo', convertVideoPost);

app.post('/updateHotspotInfo', updateHotspotInfo);

app.get('/updateHotspotInfo', updateHotspotInfo);

app.get('/updateFeeds', updateFeeds);

app.get('/phone-call', phoneCallData);

app.get('/youtube-upload', youtubeUpload);

app.get('/jetYtDownloader', jetYtDownloader);

app.get('/cp-emails', cpanelEmails);
app.get('/email-exists/:email', cpanelEmailExists);

app.get('/server-cleanup', serverCleanup);

app.get('/b-chart', getBillboardChart);

console.log('Listening on port ' + mainPort);

